Debian Bug report logs - #617613
freecad: links with both GPL-licensed and GPL-incompatible libraries

version graph

Package: freecad; Maintainer for freecad is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for freecad is src:freecad.

Reported by: "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>

Date: Wed, 9 Mar 2011 22:27:01 UTC

Severity: serious

Found in versions freecad/0.13.1830-dfsg-3, freecad/0.10.3247.dfsg-2

Fixed in version freecad/0.13.2580-dfsg-1

Done: Anton Gladky <gladk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Wed, 09 Mar 2011 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
New Bug report received and forwarded. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 09 Mar 2011 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Wed, 09 Mar 2011 23:22:26 +0100
Package: freecad
Version: 0.10.3247.dfsg-2
Severity: serious
Justification: Policy 2.2.1


Hello Debian Science Maintainers,
thanks for maintaining freecad.

This package is mainly released under the terms of the GNU LGPL v2 or
later, but includes some files released under the terms of the GNU GPL
v2 or later, and, above all, links with libcoin60, which is released
under the terms of the GNU GPL v2 (only) [1].

[1] http://packages.debian.org/changelogs/pool/main/c/coin3/coin3_3.1.3-1/libcoin60.copyright

On the other hand, freecad links with libopencascade-*-6.3.0, which
is released under the terms of the OCTPL v6.3: this license is itself
acceptable [2] (from a DFSG point of view), but is GPLv2-incompatible,
since it implements a copyleft mechanism and has no explicit
GPL-compatibility clause.
The GPL-incompatibility is acknowledged in Open CASCADE S.A.S.
FAQ [3]:

| 1) Is Open CASCADE Technology license GPL-compatible?
|
| No, it is not. OPEN CASCADE Company uses its own custom license.
| However, it follows LGPL license in terms of its purpose and intent.

[2] http://lists.debian.org/debian-legal/2007/12/msg00077.html
[3] http://www.opencascade.org/occt/faq/

As a consequence, I would say that freecad (the binary package) is
currently undistributable, as it links with both a GPLv2-licensed
library and a GPLv2-incompatible one.


AFAICT, there are three possible ways to fix this issue, in descending
order of desirability.

 (A) Open CASCADE S.A.S. should be contacted and persuaded to
re-license Open CASCADE Technology under GPLv2-compatible terms.

 (B) Open CASCADE Technology should be substituted with a
GPLv2-compatible replacement, if any is available.

 (C) Coin3D copyright holder should contacted and asked to add a
license exception to give permission to link Coin3D with code released under
the OCTPL; this additional permission should be drafted along the
lines of the template [4] suggested by the FSF. A similar exception
is needed for GPL-licensed files in FreeCAD itself and should be asked
to the corresponding copyright holders.

[4] http://www.gnu.org/licenses/gpl-faq.html#GPLIncompatibleLibs


Now, the half-good news.

It seems that there's some possibility [5] that Open CASCADE Technology
could be re-licensed under the terms of the LGPLv2.1: this would make it
GPLv2-compatible (solution (A) above).

[5] http://www.opencascade.org/org/forum/thread_15859/

I got in touch with upstream (Open CASCADE S.A.S.) via their web
contact form [6] and got a somewhat encouraging reply.

[6] http://www.opencascade.org/about/contacts/

This happened on April 2009, though.

There has been no progress on the re-licensing of Open CASCADE since
then: the management (of Open CASCADE S.A.S.) has not yet taken a
decision on the matter.
I have been going on contacting them periodically and asking them
whether there's any progress, but, apparently, I am not persuasive
enough...  :-(
I reported this on the debian-legal list [7][8].

[7] http://lists.debian.org/debian-legal/2009/10/msg00000.html
[8] http://lists.debian.org/debian-legal/2010/02/msg00007.html

Please note that Open CASCADE Technology version 6.5 has been recently
released, but v6.5 of the license, despite having a much more accurate
preamble, is substantially unchanged in its legally binding text.


If nobody else helps me by contacting Open CASCADE S.A.S. and
persuading them to re-license Open CASCADE Technology under the
LGPLv2.1, I am afraid that the above-mentioned solution (A) will
not be a viable option...   :-(

So, please, pretty please, help me in persuading Open CASCADE S.A.S.
to switch to the GNU LGPL v2.1!
I recommend involving FreeCAD upstream too in this persuasion effort.
The more people get in touch with Open CASCADE S.A.S. and try to
persuade them, the better.

Thanks for any help you can provide.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Thu, 10 Mar 2011 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 10 Mar 2011 16:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 617613@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: 617613@bugs.debian.org, "Francesco Poli (wintermute)" <invernomuto@paranoici.org>
Subject: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Thu, 10 Mar 2011 17:27:53 +0100
[Message part 1 (text/plain, inline)]
Hi Francesco,

Thanks for looking into this. As far your option (C) is concerned
(asking Coin3D copyright holders for a linking exception to Open
Cascade), Adam Powell made a request for this two years ago. The
linking exception was not granted. See the mail below.

Best,

Teemu

---------- Forwarded message ----------
From: Adam C Powell IV <hazelsct@debian.org>
Date: Wed, Jan 28, 2009 at 11:51 PM
Subject: Re: New release
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: Werner Mayer <werner.wm.mayer@gmx.de>, Leopold Palomo-Avellaneda
<leo@alaxarxa.net>, Robert Millan <rmh@aybabtu.com>, Denis Barbier
<bouzim@gmail.com>


On Wed, 2009-01-14 at 08:10 -0500, Adam C Powell IV wrote:
> On Wed, 2009-01-14 at 12:39 +0200, Teemu Ikonen wrote:
> > On Thu, Dec 18, 2008 at 10:40 AM, Werner Mayer <werner.wm.mayer@gmx.de> wrote:
> > The problems with combining Coin, triangle and OCC remain though.
>
> Indeed.  Again, has anyone contacted them about this?  If not, I will.
> I have some hope for an exception for OCC, but not a lot for triangle.

Bad news: SIM will not grant a linking exception for OCC, see attached.

So unless/until OCC changes its license to something GPL-compatible,
Debian won't be able to distribute FreeCAD. :-(

-Adam
--
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/


---------- Forwarded message ----------
From: "Eigil Samset (JIRA)" <coin-support@coin3d.org>
To: hazelsct@debian.org
Date: Wed, 28 Jan 2009 13:48:30 +0100 (CET)
Subject: [JIRA] Commented: (COINSUPPORT-425) #GPL# GPL linking
exception for Open CASCADE

   [ https://jira.sim.no/browse/COINSUPPORT-425?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16188#action_16188
]

Eigil Samset commented on COINSUPPORT-425:
------------------------------------------

Hello Adam,

Thank you for contacting us about this. I agree that the Open Cascade
Technology Public License (OCTPL) is clearly incompatible with the
GPL. In our opinion, the issue you are having with regards to
including FreeCAD in the Debian distribution is the Open CASCADE
license, not the Coin3D license.

It's a pity that the OpenCascade developers opted to release their
software under a home-grown, non-GPL compatible license, but that was
their decision.

I am afraid that we will have to decline your request as we do not
make such exceptions. The most appropriate solution to this would be
to discuss with Open CASCADE to change to a GPL license.

I'm sorry I couldn't be of more help.

Best Regards,

Eigil Samset
CTO


> #GPL# GPL linking exception for Open CASCADE
> --------------------------------------------
>
>                 Key: COINSUPPORT-425
>                 URL: https://jira.sim.no/browse/COINSUPPORT-425
>             Project: Coin Support
>          Issue Type: Bug
>      Security Level: Private(only inhouse people can see these issues)
>            Reporter: Adam C Powell IV
>            Assignee: Eigil Samset
>         Attachments: signature.asc
>
>
> Greetings,
> I'm a Debian developer working on open source engineering-related
> packages, such as FEA, CAD, etc.  We would like to include FreeCAD in
> the Debian distribution, and there's one copyright issue we need to
> resolve with your help.
> Open CASCADE is open source licensed under the Open Cascade Technology
> Public License (OCTPL).  You can read that license at the site
> www.opencascade.org.  Though Debian appears to be heading toward
> approving it as a free software license, it is clearly incompatible with
> the GNU GPL. Therefore, linking FreeCAD with Coin and Open CASCADE would
> create a derived work violating the terms of Coin's license.
> (The Qt library also has this problem, but Nokia will soon release
> version 4.5 with the LGPL license option.)
> To resolve this problem, can SIM please consider granting a "linking
> exception" to allow Coin to interoperate with works distributed under
> the OCTPL, or with Open CASCADE?  The Free Software Foundation publishes
> an example of such a license exception with the GPL, and Qt 4.4 has
> similar exceptions so their license can serve as an example of how to do
> this.
> Thank you,
> -Adam
> --
> GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6
> Engineering consulting with open source tools
> http://www.opennovation.com/

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the
administrators: https://jira.sim.no/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Thu, 10 Mar 2011 16:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 10 Mar 2011 16:48:13 GMT) Full text and rfc822 format available.

Message #15 received at 617613@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: control@bugs.debian.org, "Francesco Poli (wintermute)" <invernomuto@paranoici.org>, 617613@bugs.debian.org
Subject: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Thu, 10 Mar 2011 17:46:50 +0100
reassign 617613 ftp.debian.org,freecad
thanks

May we get the ftp-master teams opinion about dynamic linking of
GPL-v2 and GPL-incompatible (in this case OCTPL-licensed) libraries?

Best,

Teemu




Bug reassigned from package 'freecad' to 'ftp.debian.org,freecad'. Request was from Teemu Ikonen <tpikonen@gmail.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 16:48:16 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freecad/0.10.3247.dfsg-2. Request was from Teemu Ikonen <tpikonen@gmail.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 16:48:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 11 Mar 2011 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 11 Mar 2011 18:30:05 GMT) Full text and rfc822 format available.

Message #24 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 617613@bugs.debian.org
Subject: Re: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Fri, 11 Mar 2011 19:25:32 +0100
[Message part 1 (text/plain, inline)]
On Thu, 10 Mar 2011 17:27:53 +0100 Teemu Ikonen wrote:

> Hi Francesco,

Hi Teemu!

> 
> Thanks for looking into this.

You're welcome: as I said, I've been struggling for a long time in the
hope to sort it out by myself with Open CASCADE S.A.S.
That's why I didn't report the bug previously.

But now I think I really need help from other people willing to join me
in the persuasion effort.

> As far your option (C) is concerned
> (asking Coin3D copyright holders for a linking exception to Open
> Cascade), Adam Powell made a request for this two years ago. The
> linking exception was not granted. See the mail below.

Now that you mention it, I remember that I was kind of aware of this,
but I thought that option (C) was nevertheless worth mentioning, since
people sometimes change their mind after some time.
Make no mistake, I understand the point of view of Coin3D copyright
holders perfectly (they probably chose the GPL exactly to prevent their
library from being mixed or linked with GPL-incompatible code...).

Anyway, as I stated in the bug report, the most desirable solution is
option (A), so, please, help me in persuading Open CASCADE S.A.S!

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Thu, 10 Nov 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 10 Nov 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #29 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Cc: 617613@bugs.debian.org, "Adam C. Powell IV" <hazelsct@debian.org>, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Thu, 10 Nov 2011 19:18:01 +0100
Can we decrease the severity of this bug to return the freecad back to testing?
The bug filed on March, but freecad was removed from testing on May
because of FTBFS's (I think).

Now FTBFS's are fixed on all platforms, but freecad cannot return back
to testing.
Anyway, this issue cannot be resolved without uploading OCE [1] into the Debian.

Thanks

[1] http://anonscm.debian.org/gitweb/?p=debian-science/packages/oce.git;a=summary

Anton




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 14:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 14:24:07 GMT) Full text and rfc822 format available.

Message #34 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: 617613@bugs.debian.org, "Adam C. Powell IV" <hazelsct@debian.org>, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 15:20:38 +0100
[Message part 1 (text/plain, inline)]
On Thu, 10 Nov 2011 19:18:01 +0100 Anton Gladky wrote:

> Can we decrease the severity of this bug to return the freecad back to testing?

Why?
I think the bug is still unfixed and still serious, unfortunately.

> The bug filed on March, but freecad was removed from testing on May
> because of FTBFS's (I think).

Yes, but I think freecad should not be released in a stable version
(again) with this serious issue unsolved.

I still think that the proper solution to this bug is persuading Open
CASCADE S.A.S. to re-license Open CASCADE Technology under
GPLv2-compatible terms.
I have been pestering them since April 2009: I am trying to persuade
them to re-license under the GNU LGPL v2.1; they always say that a
decision is pending, that their legal department is working on the
issue, and so forth, but no news comes out...   :-(
If nobody helps me, I am afraid that they will never make up their
minds.   :-(
So once again, please join me in this persuasion effort!
Please get in touch with Open CASCADE S.A.S. and persuade them to
switch to the GNU LGPL v2.1 !!!

Thanks for any help you can provide.

> 
> Now FTBFS's are fixed on all platforms, but freecad cannot return back
> to testing.
> Anyway, this issue cannot be resolved without uploading OCE [1] into the Debian.
> 
> Thanks
> 
> [1] http://anonscm.debian.org/gitweb/?p=debian-science/packages/oce.git;a=summary

What's this?
Do I understand correctly that it's a fork of OpenCASCADE?

Since it is a derivative work of the official OpenCASCADE, it's under
the same DFSG-free weak-copyleft, but GPL-incompatible, license (as
confirmed by the debian/copyright file).
How can this fork solve any license compatibility issues between
FreeCAD and OpenCASCADE?
Could you please explain?


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 16:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 16:51:10 GMT) Full text and rfc822 format available.

Message #39 received at 617613@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: Anton Gladky <gladky.anton@gmail.com>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 11:49:10 -0500
[Message part 1 (text/plain, inline)]
On Sun, 2011-11-13 at 15:20 +0100, Francesco Poli wrote:
> On Thu, 10 Nov 2011 19:18:01 +0100 Anton Gladky wrote:
> 
> > Can we decrease the severity of this bug to return the freecad back to testing?
> 
> Why?
> I think the bug is still unfixed and still serious, unfortunately.
> 
> > The bug filed on March, but freecad was removed from testing on May
> > because of FTBFS's (I think).
> 
> Yes, but I think freecad should not be released in a stable version
> (again) with this serious issue unsolved.

Indeed, a package with a copyright/licensing issue can't go into a
release, and can't go into testing.

IMO this isn't an issue, and the fact that Debian allowed it into
unstable and the squeeze release indicates that the project probably
doesn't think so either.  (Ubuntu has had Freecad since from lucid to
oneiric, so they don't seem to think there's a OCTPL-GPL incompatibility
either.)

But until there's an official ruling on this issue, the package can't go
any further in Debian.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 17:33:03 GMT) Full text and rfc822 format available.

Message #44 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 18:29:56 +0100
Ok, thanks for both opinions,

I agree, that we cannot put freecad into testing.
I was hoping, that OCE will fix the issue, but it is seems not...

So, if the license issue is not resolved we will request deletion of
freecad from unstable?

Thanks.

Anton


On Sun, Nov 13, 2011 at 5:49 PM, Adam C Powell IV <hazelsct@debian.org> wrote:
> On Sun, 2011-11-13 at 15:20 +0100, Francesco Poli wrote:
>> On Thu, 10 Nov 2011 19:18:01 +0100 Anton Gladky wrote:
>>
>> > Can we decrease the severity of this bug to return the freecad back to testing?
>>
>> Why?
>> I think the bug is still unfixed and still serious, unfortunately.
>>
>> > The bug filed on March, but freecad was removed from testing on May
>> > because of FTBFS's (I think).
>>
>> Yes, but I think freecad should not be released in a stable version
>> (again) with this serious issue unsolved.
>
> Indeed, a package with a copyright/licensing issue can't go into a
> release, and can't go into testing.
>
> IMO this isn't an issue, and the fact that Debian allowed it into
> unstable and the squeeze release indicates that the project probably
> doesn't think so either.  (Ubuntu has had Freecad since from lucid to
> oneiric, so they don't seem to think there's a OCTPL-GPL incompatibility
> either.)
>
> But until there's an official ruling on this issue, the package can't go
> any further in Debian.
>
> -Adam
> --
> GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6
>
> Engineering consulting with open source tools
> http://www.opennovation.com/
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 17:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 17:42:10 GMT) Full text and rfc822 format available.

Message #49 received at 617613@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 12:40:48 -0500
[Message part 1 (text/plain, inline)]
I think we leave it there pending a decision by the project, which will
either allow it into testing or remove it from unstable.

No need to do anything else in the meantime.  I think we should continue
to develop the package, so it's in top shape in case the project
approves it, it's available to unstable users, and its updates flow to
Ubuntu users as well.

-Adam

On Sun, 2011-11-13 at 18:29 +0100, Anton Gladky wrote:
> Ok, thanks for both opinions,
> 
> I agree, that we cannot put freecad into testing.
> I was hoping, that OCE will fix the issue, but it is seems not...
> 
> So, if the license issue is not resolved we will request deletion of
> freecad from unstable?
> 
> Thanks.
> 
> Anton
> 
> 
> On Sun, Nov 13, 2011 at 5:49 PM, Adam C Powell IV <hazelsct@debian.org> wrote:
> > On Sun, 2011-11-13 at 15:20 +0100, Francesco Poli wrote:
> >> On Thu, 10 Nov 2011 19:18:01 +0100 Anton Gladky wrote:
> >>
> >> > Can we decrease the severity of this bug to return the freecad back to testing?
> >>
> >> Why?
> >> I think the bug is still unfixed and still serious, unfortunately.
> >>
> >> > The bug filed on March, but freecad was removed from testing on May
> >> > because of FTBFS's (I think).
> >>
> >> Yes, but I think freecad should not be released in a stable version
> >> (again) with this serious issue unsolved.
> >
> > Indeed, a package with a copyright/licensing issue can't go into a
> > release, and can't go into testing.
> >
> > IMO this isn't an issue, and the fact that Debian allowed it into
> > unstable and the squeeze release indicates that the project probably
> > doesn't think so either.  (Ubuntu has had Freecad since from lucid to
> > oneiric, so they don't seem to think there's a OCTPL-GPL incompatibility
> > either.)
> >
> > But until there's an official ruling on this issue, the package can't go
> > any further in Debian.
> >
> > -Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 18:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 18:54:09 GMT) Full text and rfc822 format available.

Message #54 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Anton Gladky <gladky.anton@gmail.com>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 19:30:17 +0100
[Message part 1 (text/plain, inline)]
On Sun, 13 Nov 2011 11:49:10 -0500 Adam C Powell IV wrote:

> On Sun, 2011-11-13 at 15:20 +0100, Francesco Poli wrote:
[...]
> > Yes, but I think freecad should not be released in a stable version
> > (again) with this serious issue unsolved.
> 
> Indeed, a package with a copyright/licensing issue can't go into a
> release, and can't go into testing.
> 
> IMO this isn't an issue,

Please let me understand:

 (0) you (still) don't think that the OCTPL is GPL-incompatible

or

 (1) you agree that the OCTPL is GPL-incompatible, but you think that
     this is not an issue for the package freecad linked with
     libopencascade-*

Is it (0) or (1)?

> and the fact that Debian allowed it into
> unstable and the squeeze release indicates that the project probably
> doesn't think so either.
[...]

The issue may have been overlooked at first.
If I recall correctly, the initial discussions about the OCTPL were
mainly focused on its DFSG-freeness.
The GPL-incompatibility issue was only raised later and was not
immediately clear.

When I filed the bug report, the GPL-incompatibility had been
acknowledged by Open CASCADE S.A.S. itself (that is to say, the authors
of the OCTPL!).

> 
> But until there's an official ruling on this issue, the package can't go
> any further in Debian.

An official ruling on the fact that a GPL'ed package which links with
both a GPL'ed library and a GPL-incompatible library has a serious bug?!?

I thought this was agreed upon long time ago within the Debian Project.
I have seen so many packages with such issues reported as serious bugs
(for instance for GPL programs linking with OpenSSL), that I think it
goes without saying!


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 18:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 18:54:11 GMT) Full text and rfc822 format available.

Message #59 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Anton Gladky <gladky.anton@gmail.com>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 19:44:33 +0100
[Message part 1 (text/plain, inline)]
On Sun, 13 Nov 2011 12:40:48 -0500 Adam C Powell IV wrote:

> I think we leave it there pending a decision by the project, which will
> either allow it into testing or remove it from unstable.

Please let me be clear and explicit on this: I would not be happy at
all, if freecad were removed from Debian!
That's why I have struggled for years and I am still struggling to
solve this issue for the best (that is, by persuading Open CASCADE
S.A.S. to re-license under the GNU LGPL v2.1).

If nobody helps me, I am afraid that removal from Debian will have to
be the only way out. But it would be a very sad way out.
So, please, contact Open CASCADE S.A.S. and persuade them to switch to
the GNU LGPL v2.1!

> 
> No need to do anything else in the meantime.

Apart from pestering Open CASCADE S.A.S. and have them make up their
minds, that is!

> I think we should continue
> to develop the package, so it's in top shape in case the project
> approves it, it's available to unstable users, and its updates flow to
> Ubuntu users as well.

I agree, but with

s/the project approves it/we succeed in persuading Open CASCADE S.A.S.
                          to re-license under the GNU LGPL v2.1/

I cannot stress it more than this: I need other people to contact Open
CASCADE S.A.S. !
We have to show them that really many people ask for this switch to the
GNU LGPL v2.1 !


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 21:12:05 GMT) Full text and rfc822 format available.

Message #64 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: Adam C Powell IV <hazelsct@debian.org>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 22:08:34 +0100
Francesco,

are your emails to Open CASCADE S.A.S. available somewhere in
ML-archives, or it was private mails?
Anton




On Sun, Nov 13, 2011 at 7:44 PM, Francesco Poli
<invernomuto@paranoici.org> wrote:
> On Sun, 13 Nov 2011 12:40:48 -0500 Adam C Powell IV wrote:
>
>> I think we leave it there pending a decision by the project, which will
>> either allow it into testing or remove it from unstable.
>
> Please let me be clear and explicit on this: I would not be happy at
> all, if freecad were removed from Debian!
> That's why I have struggled for years and I am still struggling to
> solve this issue for the best (that is, by persuading Open CASCADE
> S.A.S. to re-license under the GNU LGPL v2.1).
>
> If nobody helps me, I am afraid that removal from Debian will have to
> be the only way out. But it would be a very sad way out.
> So, please, contact Open CASCADE S.A.S. and persuade them to switch to
> the GNU LGPL v2.1!
>
>>
>> No need to do anything else in the meantime.
>
> Apart from pestering Open CASCADE S.A.S. and have them make up their
> minds, that is!
>
>> I think we should continue
>> to develop the package, so it's in top shape in case the project
>> approves it, it's available to unstable users, and its updates flow to
>> Ubuntu users as well.
>
> I agree, but with
>
> s/the project approves it/we succeed in persuading Open CASCADE S.A.S.
>                          to re-license under the GNU LGPL v2.1/
>
> I cannot stress it more than this: I need other people to contact Open
> CASCADE S.A.S. !
> We have to show them that really many people ask for this switch to the
> GNU LGPL v2.1 !
>
>
> --
>  http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
>  New GnuPG key, see the transition document!
> ..................................................... Francesco Poli .
>  GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 13 Nov 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 Nov 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #69 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: Adam C Powell IV <hazelsct@debian.org>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Sun, 13 Nov 2011 23:07:10 +0100
[Message part 1 (text/plain, inline)]
On Sun, 13 Nov 2011 22:08:34 +0100 Anton Gladky wrote:

> Francesco,
> 
> are your emails to Open CASCADE S.A.S. available somewhere in
> ML-archives, or it was private mails?

They were private e-mail messages, and therefore not publicly archived.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 15 Nov 2011 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 15 Nov 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #74 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: Adam C Powell IV <hazelsct@debian.org>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Tue, 15 Nov 2011 20:44:11 +0100
It seems, there is a slight update of the license dated March 2011 [1].
Can anyone, please, have a look at this license?
Is it still GPL-incompatible?

Thanks,
Anton
[1] http://www.opencascade.org/getocc/license/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 15 Nov 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 15 Nov 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #79 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: Adam C Powell IV <hazelsct@debian.org>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: FreeCAD not in Testing
Date: Tue, 15 Nov 2011 21:09:15 +0100
[Message part 1 (text/plain, inline)]
On Tue, 15 Nov 2011 20:44:11 +0100 Anton Gladky wrote:

> It seems, there is a slight update of the license dated March 2011 [1].
> Can anyone, please, have a look at this license?
> Is it still GPL-incompatible?
[...]
> [1] http://www.opencascade.org/getocc/license/

Hi Anton!
Thanks a lot for following up and for checking whether there's some
news on this front.

Unfortunately, I had already checked v6.5 of the license before
reporting bug #617613: please see the original report [2]

[...]
| Please note that Open CASCADE Technology version 6.5 has been recently
| released, but v6.5 of the license, despite having a much more accurate
| preamble, is substantially unchanged in its legally binding text.
[...]

[2] http://bugs.debian.org/617613#5

In other words, the license is still GPL-incompatible, sadly.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 02 Dec 2011 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 02 Dec 2011 17:27:05 GMT) Full text and rfc822 format available.

Message #84 received at 617613@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 617613@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: "FreeCAD not in Testing"
Date: Fri, 02 Dec 2011 18:15:21 +0100
Hi

as we have been asked about this license problem and not yet provided an
answer:

 Either the licensing is changed so that the incompatibility no longer
 is there (by either getting the license changed, or exceptions in the
 other parts, or by using replacement software which does not have
 license problems, whatever works), or failing that, the package(s) need
 to go from Debian.

-- 
bye, Joerg
Yeah, patching debian/rules sounds like changing shoes while running the
100 meters track.
  -- Michael Koch




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 16 Dec 2011 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Dec 2011 02:03:03 GMT) Full text and rfc822 format available.

Message #89 received at 617613@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: Anton Gladky <gladky.anton@gmail.com>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>, Werner Mayer <werner.wm.mayer@gmx.de>, Denis Barbier <bouzim@gmail.com>
Subject: Re: FreeCAD not in Testing
Date: Thu, 15 Dec 2011 21:00:39 -0500
[Message part 1 (text/plain, inline)]
Hi Francesco,

On Sun, 2011-11-13 at 19:30 +0100, Francesco Poli wrote:
> On Sun, 13 Nov 2011 11:49:10 -0500 Adam C Powell IV wrote:
> 
> > On Sun, 2011-11-13 at 15:20 +0100, Francesco Poli wrote:
> [...]
> > > Yes, but I think freecad should not be released in a stable version
> > > (again) with this serious issue unsolved.
> > 
> > Indeed, a package with a copyright/licensing issue can't go into a
> > release, and can't go into testing.
> > 
> > IMO this isn't an issue,
> 
> Please let me understand:
> 
>  (0) you (still) don't think that the OCTPL is GPL-incompatible
> 
> or
> 
>  (1) you agree that the OCTPL is GPL-incompatible, but you think that
>      this is not an issue for the package freecad linked with
>      libopencascade-*
> 
> Is it (0) or (1)?

It's 0, I don't see any clauses in the OCTPL itself which render it
GPL-incompatible, agreeing with Denis' interpretation.

> > and the fact that Debian allowed it into
> > unstable and the squeeze release indicates that the project probably
> > doesn't think so either.
> [...]
> 
> The issue may have been overlooked at first.
> If I recall correctly, the initial discussions about the OCTPL were
> mainly focused on its DFSG-freeness.
> The GPL-incompatibility issue was only raised later and was not
> immediately clear.

Indeed.

> When I filed the bug report, the GPL-incompatibility had been
> acknowledged by Open CASCADE S.A.S. itself (that is to say, the authors
> of the OCTPL!).

Do you have a link where they acknowledge GPL incompatibility?  The
preamble isn't part of the legally-binding text.

> > But until there's an official ruling on this issue, the package can't go
> > any further in Debian.
> 
> An official ruling on the fact that a GPL'ed package which links with
> both a GPL'ed library and a GPL-incompatible library has a serious bug?!?
> 
> I thought this was agreed upon long time ago within the Debian Project.
> I have seen so many packages with such issues reported as serious bugs
> (for instance for GPL programs linking with OpenSSL), that I think it
> goes without saying!

No, I meant that until December 2, Debian had not given an official
ruling indicating whether OCTPL is GPL-compatible.  Now they have issued
a ruling but without any clarity or justification.

I'm going to ask Joerg for a clarification on his email of December 2.

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 16 Dec 2011 02:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Dec 2011 02:03:05 GMT) Full text and rfc822 format available.

Message #94 received at 617613@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>, 617613@bugs.debian.org
Cc: Anton Gladky <gladky.anton@gmail.com>, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>, Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613: "FreeCAD not in Testing"
Date: Thu, 15 Dec 2011 21:02:18 -0500
[Message part 1 (text/plain, inline)]
On Fri, 2011-12-02 at 18:15 +0100, Joerg Jaspert wrote:
> Hi
> 
> as we have been asked about this license problem and not yet provided an
> answer:
> 
>  Either the licensing is changed so that the incompatibility no longer
>  is there (by either getting the license changed, or exceptions in the
>  other parts, or by using replacement software which does not have
>  license problems, whatever works), or failing that, the package(s) need
>  to go from Debian.

I'm sorry, can you be more specific?  You have concluded that the
OpenCASCADE Technology Public License (OCTPL) is incompatible with GPL?
Which part(s) of OCTPL is/are incompatible?

Or do you agree with Francesco's analysis based on the preamble, which
is not legally binding?

Thank you,
Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 16 Dec 2011 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Dec 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #99 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Anton Gladky <gladky.anton@gmail.com>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>, Werner Mayer <werner.wm.mayer@gmx.de>, Denis Barbier <bouzim@gmail.com>
Subject: Re: FreeCAD not in Testing
Date: Fri, 16 Dec 2011 17:48:28 +0100
[Message part 1 (text/plain, inline)]
On Thu, 15 Dec 2011 21:00:39 -0500 Adam C Powell IV wrote:

> Hi Francesco,

Hi Adam!

> 
> On Sun, 2011-11-13 at 19:30 +0100, Francesco Poli wrote:
[...]
> > Please let me understand:
> > 
> >  (0) you (still) don't think that the OCTPL is GPL-incompatible
> > 
> > or
> > 
> >  (1) you agree that the OCTPL is GPL-incompatible, but you think that
> >      this is not an issue for the package freecad linked with
> >      libopencascade-*
> > 
> > Is it (0) or (1)?
> 
> It's 0, I don't see any clauses in the OCTPL itself which render it
> GPL-incompatible, agreeing with Denis' interpretation.

As I said in the original bug report [1]:

| it implements a copyleft mechanism and has no explicit
| GPL-compatibility clause.

[1] http://bugs.debian.org/617613#5

Let me be more explicit.

I think that you agree that the OCTPL includes restrictions
not present in the GNU GPL v2.
At the very least, the following one [2], which is part of clause 4:

| If you distribute or sublicense the Software (as modified by You
| or on Your behalf as the case may be), You cause such Software to
| be licensed as a whole, at no charge, to all third parties, under
| the terms and conditions of the License, making in particular
| available to all third parties the source code of the Software;

[2] http://www.opencascade.org/getocc/license/

This clause implements a (weak form of) copyleft mechanism by
mandating that any derivative work be licensed as a whole
under the terms of the OCTPL.
This is a restriction which is certainly not included in the GNU GPL v2.

If you try to combine a GPLv2-licensed work and an OCTPLv6.5-licensed
work, the resulting combination must be licensed as a whole under the
terms of the GNU GPL v2 (to comply with the license of the first work),
but also under the terms of the OCTPL v6.5 (to comply with the license
of the second work).
But the GPL mandates that no further restrictions may be added to
the derivative work, and the OCTPL includes clauses that are
further restrictions (from the GPL point of view).

As a consequence, you cannot legally distribute the resulting
combination and comply with both the GPLv2 and the OCTPLv6.5 .
These two licenses are therefore incompatible with each other.

[...]
> > When I filed the bug report, the GPL-incompatibility had been
> > acknowledged by Open CASCADE S.A.S. itself (that is to say, the authors
> > of the OCTPL!).
> 
> Do you have a link where they acknowledge GPL incompatibility?  The
> preamble isn't part of the legally-binding text.

The GPL-incompatibility is not acknowledged in the preamble.
It's acknowledged in the FAQ, as I said in the original bug report [1]
(please re-read at least what I originally wrote when reporting
this bug, otherwise we will run forever in circles...).

[1] http://bugs.debian.org/617613#5

[...]
> > An official ruling on the fact that a GPL'ed package which links with
> > both a GPL'ed library and a GPL-incompatible library has a serious bug?!?
> > 
> > I thought this was agreed upon long time ago within the Debian Project.
> > I have seen so many packages with such issues reported as serious bugs
> > (for instance for GPL programs linking with OpenSSL), that I think it
> > goes without saying!
> 
> No, I meant that until December 2, Debian had not given an official
> ruling indicating whether OCTPL is GPL-compatible.  Now they have issued
> a ruling but without any clarity or justification.
> 
> I'm going to ask Joerg for a clarification on his email of December 2.

I think the GPLv2-incompatibility of the OCTPLv6.5 is pretty clear and
uncontroversial: I am not sure why some people still seem to have
doubts and ask for official Debian rulings or statements from
the ftp-masters...



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 16 Dec 2011 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Dec 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #104 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Joerg Jaspert <joerg@ganneff.de>, 617613@bugs.debian.org, Anton Gladky <gladky.anton@gmail.com>, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>, Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613: "FreeCAD not in Testing"
Date: Fri, 16 Dec 2011 17:54:53 +0100
[Message part 1 (text/plain, inline)]
On Thu, 15 Dec 2011 21:02:18 -0500 Adam C Powell IV wrote:

[...]
> Or do you agree with Francesco's analysis based on the preamble, which
> is not legally binding?

My GPL-compatibility analysis is not based on the preamble: where did
you get the impression that it was?

As I said in the original bug report [1]:

| it implements a copyleft mechanism and has no explicit
| GPL-compatibility clause.

[1] http://bugs.debian.org/617613#5

I tried to be more explicit in my previous message [2]

[2] http://bugs.debian.org/617613#99


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 16 Dec 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Dec 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #109 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: Adam C Powell IV <hazelsct@debian.org>, Joerg Jaspert <joerg@ganneff.de>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>, Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613: "FreeCAD not in Testing"
Date: Fri, 16 Dec 2011 20:06:54 +0100
Hello,

does it mean, that FreeCAD upstream and others (gmsh, for example) has
chosen the wrong license?

Thanks.

Anton




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 17 Dec 2011 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 17 Dec 2011 17:45:07 GMT) Full text and rfc822 format available.

Message #114 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: Adam C Powell IV <hazelsct@debian.org>, Joerg Jaspert <joerg@ganneff.de>, 617613@bugs.debian.org, Teemu Ikonen <tpikonen@gmail.com>, Julien Cristau <julien.cristau@logilab.fr>, Sylvestre Ledru <sylvestre@debian.org>, Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613: "FreeCAD not in Testing"
Date: Sat, 17 Dec 2011 18:42:51 +0100
[Message part 1 (text/plain, inline)]
On Fri, 16 Dec 2011 20:06:54 +0100 Anton Gladky wrote:

> Hello,

Hi Anton, thanks for following up on this issue.

> 
> does it mean, that FreeCAD upstream and others (gmsh, for example) has
> chosen the wrong license?

No, I don't think that this is the conclusion we should draw from the
issue under consideration.

FreeCAD copyright owners chose the GNU LGPL (v2 or later), which is a
good choice (and does not prevent, by itself, the distribution of
FreeCAD linked with OpenCASCADE).
There are some files licensed under the terms of the GNU GPL (v2 or
later) included in FreeCAD, and those files may be an issue with
respect to OpenCASCADE.

But anyway, that's not the point: even in the hypothetical case where
the whole FreeCAD were licensed under the terms of the GNU GPL, their
copyright owners could always add an exception to allow the
distribution of copies linked with works licensed under the terms of
the OCTPL.
See this answer in the FSF GPL FAQ for more details:
http://www.gnu.org/licenses/gpl-faq.html#GPLIncompatibleLibs


The actual issue is that FreeCAD is linked with both OpenCASCADE (which
is GPL-incompatible) and Coin3D (which is released under the terms of
the GNU GPL v2).

The problem is that OpenCASCADE copyright owners seem to have been
considering to switch to the GNU LGPL v2.1 for a long time, but they
have not taken a decision yet...   :-(
As I said in the original bug report, I need help in persuading them:
http://bugs.debian.org/617613#5

> 
> Thanks.

You're welcome!

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 08 Jan 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Riegel <FreeCAD@juergen-riegel.net>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 08 Jan 2012 11:15:06 GMT) Full text and rfc822 format available.

Message #119 received at 617613@bugs.debian.org (full text, mbox):

From: Juergen Riegel <FreeCAD@juergen-riegel.net>
To: 617613@bugs.debian.org
Cc: Werner Mayer <werner.wm.mayer@gmx.de>
Subject: FreeCAD & OCTPL
Date: Sun, 08 Jan 2012 12:05:39 +0100
 Hi together,
I'm, together with Werner, the maintainer of FreeCAD.
Based on the long history of license struggle with OCTPL I do not think 
they will change the license soon.
So I decided to go for GPL free for the 0.13 release of FreeCAD.
Fortunately Kongsberg, the company behind Coin3D, send a letter to all 
its paying customer that they decided
to discontinue the commercial Version and plan to release the source 
under BSD.  This switch and
the removal of smaller libs (e.g. PyQt) will remove all GPL dependencies 
of FreeCAD.

Unfortunately we have to wait for the Coin switch. But there is a 
solution to this problem!

Jürgen






Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Mon, 09 Jan 2012 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 09 Jan 2012 14:42:03 GMT) Full text and rfc822 format available.

Message #124 received at 617613@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: Juergen Riegel <FreeCAD@juergen-riegel.net>, 617613@bugs.debian.org
Cc: Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613: FreeCAD & OCTPL
Date: Mon, 9 Jan 2012 15:38:10 +0100
Hello Juergen,

This is great news! Although it would be nice to get OCC under a GPL
compatible license, it's anyway good to get Freecad back into Debian.

Best,

Teemu

On Sun, Jan 8, 2012 at 12:05 PM, Juergen Riegel
<FreeCAD@juergen-riegel.net> wrote:
>  Hi together,
> I'm, together with Werner, the maintainer of FreeCAD.
> Based on the long history of license struggle with OCTPL I do not think they
> will change the license soon.
> So I decided to go for GPL free for the 0.13 release of FreeCAD.
> Fortunately Kongsberg, the company behind Coin3D, send a letter to all its
> paying customer that they decided
> to discontinue the commercial Version and plan to release the source under
> BSD.  This switch and
> the removal of smaller libs (e.g. PyQt) will remove all GPL dependencies of
> FreeCAD.
>
> Unfortunately we have to wait for the Coin switch. But there is a solution
> to this problem!
>
> Jürgen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 10 Jan 2012 12:04:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 10 Jan 2012 12:04:47 GMT) Full text and rfc822 format available.

Message #129 received at 617613@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Juergen Riegel <FreeCAD@juergen-riegel.net>, 617613@bugs.debian.org
Cc: Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613: FreeCAD & OCTPL
Date: Sun, 08 Jan 2012 18:51:14 -0800
[Message part 1 (text/plain, inline)]
On Sun, 2012-01-08 at 12:05 +0100, Juergen Riegel wrote:
> Hi together,
> I'm, together with Werner, the maintainer of FreeCAD.
> Based on the long history of license struggle with OCTPL I do not think 
> they will change the license soon.
> So I decided to go for GPL free for the 0.13 release of FreeCAD.
> Fortunately Kongsberg, the company behind Coin3D, send a letter to all 
> its paying customer that they decided
> to discontinue the commercial Version and plan to release the source 
> under BSD.  This switch and
> the removal of smaller libs (e.g. PyQt) will remove all GPL dependencies 
> of FreeCAD.

Wow, that's terrific news!

> Unfortunately we have to wait for the Coin switch. But there is a 
> solution to this problem!

Indeed.  So we will have FreeCAD in Debian at last.

Thanks Juergen!

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Thu, 19 Jan 2012 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marko Knöbl <m@knoebls.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Jan 2012 16:51:03 GMT) Full text and rfc822 format available.

Message #134 received at 617613@bugs.debian.org (full text, mbox):

From: Marko Knöbl <m@knoebls.com>
To: 617613@bugs.debian.org
Subject: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Thu, 19 Jan 2012 17:42:26 +0100
On Sun, Jan 8, 2012 at 12:05 PM, Juergen Riegel
<FreeCAD@juergen-riegel.net> wrote:
>  Hi together,
> I'm, together with Werner, the maintainer of FreeCAD.
> Based on the long history of license struggle with OCTPL I do not think they
> will change the license soon.

Actually there is some chance for the license  to be changed. Daniel Brunier 
Coulin from OpenCASCADE SAS announced that they are "currently considering 
relicensing OCCT to LGPL".[1] According to him the decistion will be made in a 
couple of weeks.

[1] https://mail.gna.org/public/pythonocc-users/2012-01/msg00019.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Thu, 19 Apr 2012 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 12:39:04 GMT) Full text and rfc822 format available.

Message #139 received at 617613@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 617613@bugs.debian.org
Cc: m@knoebls.com, werner.wm.mayer@gmx.de, FreeCAD@juergen-riegel.net, hazelsct@debian.org, tpikonen@gmail.com, invernomuto@paranoici.org, Anton Gladky <gladky.anton@gmail.com>
Subject: Re: Bug#617613: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Thu, 19 Apr 2012 08:38:19 -0400
> Fortunately Kongsberg, the company behind Coin3D, send a letter to all its paying customer that they decided to discontinue the commercial Version and plan to release the source under BSD. This switch and the removal of smaller libs (e.g. PyQt) will remove all GPL dependencies of FreeCAD.

This may be true, but their website still shows the paid and GPL
version. Is there any updates regarding this? It's been months since
this 'news'.

> Actually there is some chance for the license  to be changed. Daniel Brunier
> Coulin from OpenCASCADE SAS announced that they are "currently considering
> relicensing OCCT to LGPL".[1] According to him the decistion will be made in a
> couple of weeks.
>
> [1] https://mail.gna.org/public/pythonocc-users/2012-01/msg00019.html

It's been well over two weeks and the opencascade license shows no
change. Any news regarding this? the mailing thread shows no updates.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Thu, 19 Apr 2012 16:40:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 16:40:18 GMT) Full text and rfc822 format available.

Message #144 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 617613@bugs.debian.org, m@knoebls.com, werner.wm.mayer@gmx.de, FreeCAD@juergen-riegel.net, hazelsct@debian.org, tpikonen@gmail.com, Anton Gladky <gladky.anton@gmail.com>
Subject: Re: Bug#617613: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Thu, 19 Apr 2012 18:39:04 +0200
[Message part 1 (text/plain, inline)]
On Thu, 19 Apr 2012 08:38:19 -0400 Andres Cimmarusti wrote:

[...]
> > Actually there is some chance for the license  to be changed. Daniel Brunier
> > Coulin from OpenCASCADE SAS announced that they are "currently considering
> > relicensing OCCT to LGPL".[1] According to him the decistion will be made in a
> > couple of weeks.
> >
> > [1] https://mail.gna.org/public/pythonocc-users/2012-01/msg00019.html
> 
> It's been well over two weeks and the opencascade license shows no
> change. Any news regarding this? the mailing thread shows no updates.

Hi,
unfortunately no re-licensing of OpenCASCADE Technology has happened
yet. The decision was postponed [2], again!, and for several months...

[2] http://dev.opencascade.org/index.php?q=node/31#comment-63

Since I have been pestering OpenCASCADE S.A.S. since April 2009, trying
to push this re-licensing, you may well imagine my frustration...  :-(


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Removed indication that 617613 affects Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 07 Jul 2012 11:03:03 GMT) Full text and rfc822 format available.

Added indication that 617613 affects freecad Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 07 Jul 2012 11:12:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 14 Sep 2012 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 14 Sep 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #153 received at 617613@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 617613@bugs.debian.org
Cc: m@knoebls.com, werner.wm.mayer@gmx.de, FreeCAD@juergen-riegel.net, hazelsct@debian.org, tpikonen@gmail.com, invernomuto@paranoici.org, Anton Gladky <gladky.anton@gmail.com>
Subject: Re: Bug#617613: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Fri, 14 Sep 2012 16:31:21 -0400
On Thu, Apr 19, 2012 at 8:38 AM, Andres Cimmarusti
<acimmarusti@gmail.com> wrote:
>> Fortunately Kongsberg, the company behind Coin3D, send a letter to all its paying customer that they decided to discontinue the commercial Version and plan to release the source under BSD. This switch and the removal of smaller libs (e.g. PyQt) will remove all GPL dependencies of FreeCAD.
>
> This may be true, but their website still shows the paid and GPL
> version. Is there any updates regarding this? It's been months since
> this 'news'.

This change has been finally carried out!

https://bitbucket.org/Coin3D/coin/wiki/Home

Can this bug now be closed? or do we need to wait for freecad 0.13?

Andres



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Fri, 14 Sep 2012 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 14 Sep 2012 21:18:03 GMT) Full text and rfc822 format available.

Message #158 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 617613@bugs.debian.org, m@knoebls.com, werner.wm.mayer@gmx.de, FreeCAD@juergen-riegel.net, hazelsct@debian.org, tpikonen@gmail.com, Anton Gladky <gladky.anton@gmail.com>
Subject: Re: Bug#617613: freecad: links with both GPL-licensed and GPL-incompatible libraries
Date: Fri, 14 Sep 2012 23:14:03 +0200
[Message part 1 (text/plain, inline)]
On Fri, 14 Sep 2012 16:31:21 -0400 Andres Cimmarusti wrote:

> On Thu, Apr 19, 2012 at 8:38 AM, Andres Cimmarusti
> <acimmarusti@gmail.com> wrote:
> >> Fortunately Kongsberg, the company behind Coin3D, send a letter to all its paying customer that they decided to discontinue the commercial Version and plan to release the source under BSD. This switch and the removal of smaller libs (e.g. PyQt) will remove all GPL dependencies of FreeCAD.
> >
> > This may be true, but their website still shows the paid and GPL
> > version. Is there any updates regarding this? It's been months since
> > this 'news'.
> 
> This change has been finally carried out!
> 
> https://bitbucket.org/Coin3D/coin/wiki/Home

Interesting news!
Thanks for informing us.

> 
> Can this bug now be closed? or do we need to wait for freecad 0.13?

I think the bug should stay open with severity serious, until a freecad
package that is actually unaffected by this issue is uploaded to the
Debian archive.
As far as I can see:

 * a new version of Coin3D, released under the terms of the 3-clause
BSD license, needs to be packaged and uploaded to the Debian archive
(relevant Debian source packages: soqt, coin3)

 * a new version of FreeCAD, without any included GPL-licensed part and
not linking with any GPL-licensed library, needs to be packaged with a
dependency on the BSD-licensed Coin3D packages and uploaded to the
Debian archive

The latter package will close this bug report in its changelog.


Maybe, in the meanwhile, the freecad Debian package maintainers may ask
the release managers to grant a wheezy-ignore tag for this bug report...


I hope this clarifies my opinion.
Thanks for your time!

Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 15 Sep 2012 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 15 Sep 2012 18:48:03 GMT) Full text and rfc822 format available.

Message #163 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: debian-release@lists.debian.org
Cc: 617613@bugs.debian.org, Francesco Poli <invernomuto@paranoici.org>
Subject: Tagging #617613 as wheezy-ignore
Date: Sat, 15 Sep 2012 20:44:15 +0200
Dear release-team,

please consider tagging the bug #617613 with wheezy-ignore tag.
The bug should be fixed with the next uploads of freecad and coin3d [1], [2].

Thanks,

Anton

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617613#153
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617613#158



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 14 Oct 2012 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 15:51:03 GMT) Full text and rfc822 format available.

Message #168 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 690461@bugs.debian.org, 617613@bugs.debian.org
Subject: Re: Bug#690461: RM: freecad/0.12.5284-dfsg-7
Date: Sun, 14 Oct 2012 17:47:23 +0200
I am not agreed with that and asked adding wheezy-ignore tag
to the bug 617613 [1].

We are not able to add a relicensed opencascade version
on this freeze-stage. But in general the problem seems to be
resolved and new version will hopefully be packaged after the
wheezy-release.

Anton

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617613#163


2012/10/14 Ben Hutchings <ben@decadent.org.uk>:
> freecad contains GPLv2 code and links to OCTPL (non-GPL-compatible)
> libraries (bug #617613)/ This is supposed to be fixed soon as there is
> a new version of libopencascade under a BSD licence
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617613#153>.
>
> Since the relicensed libopencascade is not available in Debian and
> probably will not get into wheezy, I think freecad should be removed
> from stable and testing.
>
> Ben.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 21 Oct 2012 20:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 21 Oct 2012 20:12:08 GMT) Full text and rfc822 format available.

Message #173 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 690461@bugs.debian.org, 617613@bugs.debian.org
Subject: Re: RM: freecad/0.12.5284-dfsg-7
Date: Sun, 21 Oct 2012 22:02:12 +0200
[Message part 1 (text/plain, inline)]
On Sun, 14 Oct 2012 16:31:21 +0100 Ben Hutchings wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: rm

Hello Ben!

> 
> freecad contains GPLv2 code

and links with a GPL-licensed library (Coin3D)

> and links to OCTPL (non-GPL-compatible)
> libraries (bug #617613)/

True.

> This is supposed to be fixed soon as there is
> a new version of libopencascade under a BSD licence
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617613#153>.

No, wait: this does not look correct, unfortunately!
There is no re-licensing under the BSD for OpenCASCADE Technology going
on (I wish there were!!!).

Please re-read the message you cited: it's Coin3D that was re-licensed
under the BSD.
Once FreeCAD links with this BSD-licensed Coin3D version and stops
incorporating any GPL-licensed code, *at that point* FreeCAD will be
able to legally link with the still GPL-incompatible OpenCASCADE
Technology framework, without any distribution issue.
Not an ideal solution, but still a solution...

> 
> Since the relicensed libopencascade

s/libopencascade/libcoin/

> is not available in Debian and
> probably will not get into wheezy, I think freecad should be removed
> from stable and testing.

This is what I wanted to avoid: I have struggled since April 2009 in
order to persuade OpenCASCADE S.A.S. to re-license the OpenCASCADE
Technology framework under GPL-compatible terms...
Unfortunately no result has been obtained yet.    :-(

In the meanwhile, the (suboptimal) solution described above (FreeCAD
that links with no GPL-licensed code and incorporates no GPL-licensed
code, in order to be able to link with GPL-incompatible code) has been
devised and is being implemented.

I don't know whether this is enough to grant a wheezy-ignore tag to bug
#617613...


Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 02 Dec 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 02 Dec 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #178 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 617613@bugs.debian.org, 618968@bugs.debian.org
Subject: Granting wheezy-ignore tag bug
Date: Sun, 2 Dec 2012 23:00:59 +0100
Just for the record. The bug #694975 against release.debian.org
for granting a wheezy-ignore tag has been filed.

Thanks.

Anton



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 02 Feb 2013 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Kurdakov <sergey.forum@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 02 Feb 2013 17:00:03 GMT) Full text and rfc822 format available.

Message #183 received at 617613@bugs.debian.org (full text, mbox):

From: Sergey Kurdakov <sergey.forum@gmail.com>
To: 617613@bugs.debian.org
Subject: freecad in fact does not link to incompatible libraries
Date: Sat, 2 Feb 2013 20:58:18 +0400
[Message part 1 (text/plain, inline)]
Hi,


it is quite a long time that coin3D was re-licensed to BSD, so no problems
to link with opencascade

http://mailman.coin3d.org/pipermail/coin-discuss/2011-November/018377.html
https://bitbucket.org/Coin3D/coin/wiki/Home

Regards
Sergey
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 02 Feb 2013 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 02 Feb 2013 17:45:06 GMT) Full text and rfc822 format available.

Message #188 received at 617613@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sergey Kurdakov <sergey.forum@gmail.com>, 617613@bugs.debian.org
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Sat, 02 Feb 2013 17:42:12 +0000
On Sat, 2013-02-02 at 20:58 +0400, Sergey Kurdakov wrote:
> it is quite a long time that coin3D was re-licensed to BSD, so no
> problems to link with opencascade
> 
> http://mailman.coin3d.org/pipermail/coin-discuss/2011-November/018377.html
> https://bitbucket.org/Coin3D/coin/wiki/Home

The coin3 packages in both testing and unstable are both version 3.1.3
which dates from well before the above announcement, at a point when the
package was still covered by the GPL.

Do you have a pointer to a statement that earlier versions are covered
by the relicensing?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 02 Feb 2013 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Kurdakov <sergey.forum@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 02 Feb 2013 17:51:03 GMT) Full text and rfc822 format available.

Message #193 received at 617613@bugs.debian.org (full text, mbox):

From: Sergey Kurdakov <sergey.forum@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 617613@bugs.debian.org
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Sat, 2 Feb 2013 21:48:55 +0400
Hi

> Do you have a pointer to a statement that earlier versions are covered
> by the relicensing?

the code cover which is put under BSD is since ver 3.1.2

https://bitbucket.org/Coin3D/coin/overview

so the code is re licensed back since version 3.1.2

Regards
Sergey

On Sat, Feb 2, 2013 at 9:42 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
>
> On Sat, 2013-02-02 at 20:58 +0400, Sergey Kurdakov wrote:
> > it is quite a long time that coin3D was re-licensed to BSD, so no
> > problems to link with opencascade
> >
> > http://mailman.coin3d.org/pipermail/coin-discuss/2011-November/018377.html
> > https://bitbucket.org/Coin3D/coin/wiki/Home
>
> The coin3 packages in both testing and unstable are both version 3.1.3
> which dates from well before the above announcement, at a point when the
> package was still covered by the GPL.
>
> Do you have a pointer to a statement that earlier versions are covered
> by the relicensing?
>
> Regards,
>
> Adam
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 02 Feb 2013 18:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 02 Feb 2013 18:15:06 GMT) Full text and rfc822 format available.

Message #198 received at 617613@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sergey Kurdakov <sergey.forum@gmail.com>
Cc: 617613@bugs.debian.org
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Sat, 02 Feb 2013 18:10:36 +0000
On Sat, 2013-02-02 at 21:48 +0400, Sergey Kurdakov wrote:
> > Do you have a pointer to a statement that earlier versions are covered
> > by the relicensing?
> 
> the code cover which is put under BSD is since ver 3.1.2
> 
> https://bitbucket.org/Coin3D/coin/overview

That page mentions nothing about the BSD, and the document on it points
to the old homepage which was shut down as part of the changes (assuming
of course that all contributors agreed to have their GPL code
relicensed...).

I'm afraid I don't think your conclusion of

> so the code is re licensed back since version 3.1.2

is supported by that page.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 02 Feb 2013 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Kurdakov <sergey.forum@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 02 Feb 2013 18:27:03 GMT) Full text and rfc822 format available.

Message #203 received at 617613@bugs.debian.org (full text, mbox):

From: Sergey Kurdakov <sergey.forum@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 617613@bugs.debian.org
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Sat, 2 Feb 2013 22:23:14 +0400
Hi,

I'm not at all about to prove to you, I just point out

that there is official letter

http://mailman.coin3d.org/pipermail/coin-discuss/2011-November/018377.html

after that code is move to bitbucket - which is mentioned in letter.

the bitbucket page has https://bitbucket.org/Coin3D/coin/wiki/Home bsd
license in it is main page

The code which is moved to bitbucket has a cover of version 3.1.2 and
letter states that all following code is under the BSD license.

so if to make any conclusion without contacts to authors that means,
that code since version 3.1.2 is under BSD license.

Regards
Sergey

On Sat, Feb 2, 2013 at 10:10 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> On Sat, 2013-02-02 at 21:48 +0400, Sergey Kurdakov wrote:
>> > Do you have a pointer to a statement that earlier versions are covered
>> > by the relicensing?
>>
>> the code cover which is put under BSD is since ver 3.1.2
>>
>> https://bitbucket.org/Coin3D/coin/overview
>
> That page mentions nothing about the BSD, and the document on it points
> to the old homepage which was shut down as part of the changes (assuming
> of course that all contributors agreed to have their GPL code
> relicensed...).
>
> I'm afraid I don't think your conclusion of
>
>> so the code is re licensed back since version 3.1.2
>
> is supported by that page.
>
> Regards,
>
> Adam
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Mon, 04 Feb 2013 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 04 Feb 2013 20:21:03 GMT) Full text and rfc822 format available.

Message #208 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Sergey Kurdakov <sergey.forum@gmail.com>, 617613@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Mon, 4 Feb 2013 21:17:15 +0100
Deat all,

as one of maintainer of this package I would like to ask (again)
the release team to grant a wheezy-ignore tag to this bug. We are
not able technically on this stage of the freeze to fix the bug properly
as it requires uploading a new version of coin3d, which is not allowed.
It will be done once after Wheezy released.

Thank you,

Anton



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sat, 02 Mar 2013 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 09:06:03 GMT) Full text and rfc822 format available.

Message #213 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 617613@bugs.debian.org
Cc: Sergey Kurdakov <sergey.forum@gmail.com>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617613-submitter@bugs.debian.org
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Sat, 02 Mar 2013 10:03:38 +0100
[Message part 1 (text/plain, inline)]
Dear all,

if the decision is so difficult, I propose to remove the package from
testing/Wheezy.

The discussed FreeCAD-version is pretty old (0.12), a new one (0.13)
with a bunch of improvements is already packaged for experimental and I
am planning to push it into backports.

I will request the package removal, if another opinion does not appear.

Thanks,

Anton

[signature.asc (application/pgp-signature, attachment)]

Message sent on to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug#617613. (Sat, 02 Mar 2013 09:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 05 Mar 2013 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 05 Mar 2013 08:09:03 GMT) Full text and rfc822 format available.

Message #221 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 617613@bugs.debian.org
Cc: Sergey Kurdakov <sergey.forum@gmail.com>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617613-submitter@bugs.debian.org, 702193@bugs.debian.org
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Tue, 5 Mar 2013 09:06:02 +0100
I reported a removal bug #702193 [1].

Looking again at coin3-library and trying to get a newer version, I
realized, that the latest available version is the same as in
Debian, 3.1.3. This version, seems, has been released in 2010,
when the license was GPL.

The last commit into VCS was in December 2011, one of them - changing
the headers to BSD-license [3]. But after that time there was no release.
And, it seems, the project is abandoned.

Of course, I will grab and package the VCS-version to solve a license
problem, but for the time being, from my point of view, #617613 is not
relevant any more. And it would be nice to get a wheezy-exception-tag
for freecad.

Thanks,

[1] http://bugs.debian.org/702193
[2] https://bitbucket.org/Coin3D/coin/commits
[3] https://bitbucket.org/Coin3D/coin/commits/3ba6b414273e44c6e9f6df69472cf6fbf23dd08d

Anton



Message sent on to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug#617613. (Tue, 05 Mar 2013 08:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 05 Mar 2013 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 05 Mar 2013 09:09:06 GMT) Full text and rfc822 format available.

Message #229 received at 617613@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Anton Gladky <gladk@debian.org>, <702193@bugs.debian.org>
Cc: <617613@bugs.debian.org>, Sergey Kurdakov <sergey.forum@gmail.com>, <617613-submitter@bugs.debian.org>
Subject: Re: Bug#702193: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Tue, 05 Mar 2013 09:05:03 +0000
On 05.03.2013 08:06, Anton Gladky wrote:
> Looking again at coin3-library and trying to get a newer version, I
> realized, that the latest available version is the same as in
> Debian, 3.1.3. This version, seems, has been released in 2010,
> when the license was GPL.
>
> The last commit into VCS was in December 2011, one of them - changing
> the headers to BSD-license [3]. But after that time there was no 
> release.
> And, it seems, the project is abandoned.
>
> Of course, I will grab and package the VCS-version to solve a license
> problem, but for the time being, from my point of view, #617613 is 
> not
> relevant any more. And it would be nice to get a wheezy-exception-tag
> for freecad.

I'm a little confused here, so apologies if I'm missing something. Are 
you suggesting that we can distribute the copy of coin3 in wheezy under 
a BSD license? If not then the wheezy copy still appears to be 
undistributable.

(This is of course also on the assumption that we accept that a 
codebase released under the GPL can subsequently be blanket-relicensed 
as BSD.)

> [1] http://bugs.debian.org/702193
> [2] https://bitbucket.org/Coin3D/coin/commits
> [3]
> 
> https://bitbucket.org/Coin3D/coin/commits/3ba6b414273e44c6e9f6df69472cf6fbf23dd08d

Regards,

Adam



Message sent on to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug#617613. (Tue, 05 Mar 2013 09:09:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 05 Mar 2013 09:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 05 Mar 2013 09:33:06 GMT) Full text and rfc822 format available.

Message #237 received at 617613@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Anton Gladky <gladk@debian.org>
Cc: <617613@bugs.debian.org>, Sergey Kurdakov <sergey.forum@gmail.com>, <617613-submitter@bugs.debian.org>, <702193@bugs.debian.org>, <coin-support@coin3d.org>
Subject: Re: Bug#617613: freecad in fact does not link to incompatible libraries
Date: Tue, 05 Mar 2013 09:29:11 +0000
[Added upstream support address to CC]

Hi,

Coin3D developers - this relates to a license issue in the Debian Linux 
distribution concerning the linking of Coin3D to code licensed in a 
GPL-incompatible manner. Later releases of Coin3D were relicensed under 
a BSD license, but it is unclear whether this applies to earlier 
releases of the code.

Please could you confirm whether you consider version 3.1.3 to be 
released under the BSD-style license as well, or if this version is 
still covered by the GPL license it was originally released under?

On 05.03.2013 08:06, Anton Gladky wrote:
> I reported a removal bug #702193 [1].
>
> Looking again at coin3-library and trying to get a newer version, I
> realized, that the latest available version is the same as in
> Debian, 3.1.3. This version, seems, has been released in 2010,
> when the license was GPL.
>
> The last commit into VCS was in December 2011, one of them - changing
> the headers to BSD-license [3]. But after that time there was no 
> release.
> And, it seems, the project is abandoned.

Regards,

Adam



Message sent on to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug#617613. (Tue, 05 Mar 2013 09:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 19 May 2013 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 19 May 2013 09:09:04 GMT) Full text and rfc822 format available.

Message #245 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: debian-backports@lists.debian.org
Cc: debian-legal@lists.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>, 617613@bugs.debian.org
Subject: May I upload FreeCAD into wheezy-backports?
Date: Sun, 19 May 2013 11:04:54 +0200
[Message part 1 (text/plain, inline)]
Dear all,

FreeCAD has been removed from Wheezy during the freeze period due to the
bug #617613 (links with both GPL-licensed and GPL-incompatible
libraries). Though, seems, the issue is "almost" resolved, it is still
not clear, whether is it possible to distribute the package, linked
against the old Coin3D version.

Adam D. Barratt has summarized the problem and asked the upstream to
clear it [1]:

> Tue, 05 Mar 2013 09:29:11 +0000
> Coin3D developers - this relates to a license issue in the Debian Linux 
> distribution concerning the linking of Coin3D to code licensed in a 
> GPL-incompatible manner. Later releases of Coin3D were relicensed under 
> a BSD license, but it is unclear whether this applies to earlier 
> releases of the code.
> 
> Please could you confirm whether you consider version 3.1.3 to be 
> released under the BSD-style license as well, or if this version is 
> still covered by the GPL license it was originally released under?

But we still have no an answer from them.

May I upload the current FreeCAD version into backports, linked against
the old Coin3D version?

New Coin3D version is already in experimental, but it requires
transition process. So I think it will be almost impossible to bring the
library into backports as well.

FreeCAD is a popular package and Wheezy's users really need that. I have
got some private mails from them with the question, why FreeCAD is not
in Wheezy and whether is it possible to bring it there.

Thanks all for opinions,

Anton

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617613#237

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 19 May 2013 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 19 May 2013 09:48:04 GMT) Full text and rfc822 format available.

Message #250 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Anton Gladky <gladk@debian.org>
Cc: debian-backports@lists.debian.org, debian-legal@lists.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617613@bugs.debian.org
Subject: Re: May I upload FreeCAD into wheezy-backports?
Date: Sun, 19 May 2013 11:44:11 +0200
[Message part 1 (text/plain, inline)]
On Sun, 19 May 2013 11:04:54 +0200 Anton Gladky wrote:

[...]
> May I upload the current FreeCAD version into backports, linked against
> the old Coin3D version?

I am under the impression that the same reasoning that led to the
decision to remove freecad from wheezy would apply to wheezy-backport
as well.
Or am I missing something?

[...]
> FreeCAD is a popular package and Wheezy's users really need that. I have
> got some private mails from them with the question, why FreeCAD is not
> in Wheezy and whether is it possible to bring it there.

That's really unfortunate: it's the exact scenario that I feared it
would materialize.
That's why I have been struggling since April 2009 in
order to persuade OpenCASCADE S.A.S. to re-license the OpenCASCADE
Technology framework under GPL-compatible terms...
No public news from them on this front yet, sadly.  :-(
http://bugs.debian.org/617613#173

Please recall that this would be the ideal solution: so I renew my call
for help on this front.
This is what I have repeated like a broken record for ages: please get
in touch with OpenCASCADE S.A.S. and persuade them to re-license the
OpenCASCADE Technology framework under GPL-compatible terms!
http://bugs.debian.org/617613#5
http://bugs.debian.org/617613#59

On the other hand, getting rid of all the GPL-licensed parts and
dependencies of FreeCAD is a sub-optimal solution (although it's still
a solution for FreeCAD...). The re-licensing of Coin3D under a BSD
license is a step towards the sub-optimal solution (the other step is
getting rid of any remaining GPL-licensed code included in FreeCAD
itself).
http://bugs.debian.org/617613#158



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 19 May 2013 10:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 19 May 2013 10:03:14 GMT) Full text and rfc822 format available.

Message #255 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: debian-backports@lists.debian.org, debian-legal@lists.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 617613@bugs.debian.org
Subject: Re: May I upload FreeCAD into wheezy-backports?
Date: Sun, 19 May 2013 12:01:05 +0200
[Message part 1 (text/plain, inline)]
On 05/19/2013 11:44 AM, Francesco Poli wrote:
> On Sun, 19 May 2013 11:04:54 +0200 Anton Gladky wrote:
> 
> [...]
>> May I upload the current FreeCAD version into backports, linked against
>> the old Coin3D version?
> 
> I am under the impression that the same reasoning that led to the
> decision to remove freecad from wheezy would apply to wheezy-backport
> as well.
> Or am I missing something?

Well it is unclear, whether the old Coin3D version was relicensed under
BSD or not. Upstream did not answer the question. If it was relicensed,
then we can safely upload it into backports.

> [...]
>> FreeCAD is a popular package and Wheezy's users really need that. I have
>> got some private mails from them with the question, why FreeCAD is not
>> in Wheezy and whether is it possible to bring it there.
> 
> That's really unfortunate: it's the exact scenario that I feared it
> would materialize.
> That's why I have been struggling since April 2009 in
> order to persuade OpenCASCADE S.A.S. to re-license the OpenCASCADE
> Technology framework under GPL-compatible terms...
> No public news from them on this front yet, sadly.  :-(
> http://bugs.debian.org/617613#173
> 
> Please recall that this would be the ideal solution: so I renew my call
> for help on this front.
> This is what I have repeated like a broken record for ages: please get
> in touch with OpenCASCADE S.A.S. and persuade them to re-license the
> OpenCASCADE Technology framework under GPL-compatible terms!
> http://bugs.debian.org/617613#5
> http://bugs.debian.org/617613#59

Francesco, I do appreciate your try to do it. But I think, if
OpenCASCADE S.A.S does not really want to do it, we can do almost
nothing with that. You are not the one, who was trying to do it, but no
decision yet.

> On the other hand, getting rid of all the GPL-licensed parts and
> dependencies of FreeCAD is a sub-optimal solution (although it's still
> a solution for FreeCAD...). The re-licensing of Coin3D under a BSD
> license is a step towards the sub-optimal solution (the other step is
> getting rid of any remaining GPL-licensed code included in FreeCAD
> itself).
> http://bugs.debian.org/617613#158

This sub-optimal solution is unfortunately the only possible one now to
keep the package in Debian. It would be also good to warn the new
projects, who are starting to use Opencascade, about possible problems
with the license in the future.

Thanks,

Anton


[signature.asc (application/pgp-signature, attachment)]

Reply sent to Anton Gladky <gladk@debian.org>:
You have taken responsibility. (Thu, 30 May 2013 21:21:16 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug acknowledged by developer. (Thu, 30 May 2013 21:21:16 GMT) Full text and rfc822 format available.

Message #260 received at 617613-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 617613-close@bugs.debian.org
Subject: Bug#617613: fixed in freecad 0.13.1830-dfsg-2
Date: Thu, 30 May 2013 21:19:58 +0000
Source: freecad
Source-Version: 0.13.1830-dfsg-2

We believe that the bug you reported is fixed in the latest version of
freecad, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617613@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladk@debian.org> (supplier of updated freecad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 30 May 2013 19:48:30 +0200
Source: freecad
Binary: freecad freecad-dev freecad-doc
Architecture: source amd64 all
Version: 0.13.1830-dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Anton Gladky <gladk@debian.org>
Description: 
 freecad    - Extensible Open Source CAx program (alpha)
 freecad-dev - FreeCAD development files
 freecad-doc - FreeCAD documentation
Closes: 617613
Changes: 
 freecad (0.13.1830-dfsg-2) unstable; urgency=low
 .
   * [800a2d9] Compile freecad against libcoin80. (Closes: #617613)
   * [abee4e5] Compile against fltk1.3 instead of fltk1.1
   * [23916ae] Raise the minimal version of soqt4-dev due to coin80.
   * [87207ba] Update homepage.
   * [224f12d] Add versioned dependency on python-pivy.
Checksums-Sha1: 
 0e2cdfb316cc5262a97dde5a35d1627e960331eb 2876 freecad_0.13.1830-dfsg-2.dsc
 fbfd16b57f66bcf4c8e352d13a42fc0c5d833f51 24907 freecad_0.13.1830-dfsg-2.debian.tar.gz
 54cdb4dae48b710f16f8cbfcf09b6d8923d0348d 18476230 freecad_0.13.1830-dfsg-2_amd64.deb
 8ef212b67a698df84ae264296390664b1aad4c3e 147474 freecad-dev_0.13.1830-dfsg-2_amd64.deb
 17e9551f0a037182905de43caedb0b69c0d6d5ce 46355498 freecad-doc_0.13.1830-dfsg-2_all.deb
Checksums-Sha256: 
 40ec335ff0f2a15f08b2112b84414bd4ce0237b07aa0a9f793bf93d2a3238889 2876 freecad_0.13.1830-dfsg-2.dsc
 90c07037fbbdb08ed3e5c7bde531d0d5b42fc4a62acefc076c6cd3f3532a480d 24907 freecad_0.13.1830-dfsg-2.debian.tar.gz
 307f571bd76421cbd65144af18d3a8d1bd61a2c9153f6bfc6bb6ff90c4f8aaa0 18476230 freecad_0.13.1830-dfsg-2_amd64.deb
 7828d9d645c2c31667d8482d9d0a5f47c592cda8065cfa7ba0ffb55ad78b0323 147474 freecad-dev_0.13.1830-dfsg-2_amd64.deb
 35b865fea6820ebf339bf2ecce6f9fdc466052e11aa772be59c471296f3056d5 46355498 freecad-doc_0.13.1830-dfsg-2_all.deb
Files: 
 b4f823e26a4bbcb1ab7612434337b2f0 2876 science extra freecad_0.13.1830-dfsg-2.dsc
 607a38e13118416e03cfdd39817395cb 24907 science extra freecad_0.13.1830-dfsg-2.debian.tar.gz
 a63d38849a832e2bd0919bdac40d159d 18476230 science extra freecad_0.13.1830-dfsg-2_amd64.deb
 7bac9b550c65695fc59d7342d3f6e515 147474 libdevel extra freecad-dev_0.13.1830-dfsg-2_amd64.deb
 bc997a429e57f13fa1df9daf536ebafe 46355498 doc extra freecad-doc_0.13.1830-dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRp7wSAAoJENPhc4PPp/8GN90P/id1Ubp0L5QmQ+CIf9hg62Gs
+9P+qXjlQKGCKvv0KUt00mLQ35EPdZodeUDdjjLN9aNDWWc6ouJrqFEVwHtsKBLl
4vwOoMvvHyqgYEJc3IWNEF+nhXBmy03nbBtASaIc6Ga98FUOFAI14LxvjmF1Ezex
b3dA/X+BGNfC60oixw6b+jDGs8dNLtXQOig5m/YlojBnHTwec2jyCdD0XKJtZqB+
e+KeHUViSYvPuJynGxIwUA7JnxnYhmNAUwjXtGLXIPHW1N3fMk20hQmte03RkP6v
2hSBKPakZRRdKg925uuLGrAd7J2Fg0XK22pPJn5JxC4HwNlt4jUog5irg4G4o4/9
j5s4hvimsUH9KeeU4YocD0KWQ7ZFrtfhe8G4OZ/0dK7hMbSf04ui61m+XvPb7fUZ
w48fCAWwLsR4iohOQGj/YZWDljbu2OFnd9Ag1PrsG8ZH4fBD98DB6/pqQAj3VcxA
B7+9l+UMjKR8/rAu1sGeO29xfD6u+2AWj9Cz553T2ir06NkaOHArJ23W2b+QqJ4t
bp4zbEJFDKmN7W4GB19rCI6BIOfEUIb1xqtpeOHmv/W/trkH3+aybGxM02u8/yF9
Zz4zePgAqg84IvpHs6I5xWyEW5lz7KUm3phM6ClBy1y/hwetxksOFPf87Ofl9DlA
bnJFrAxgTXNxi/6w6sHP
=r2Sl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Sun, 02 Jun 2013 20:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 02 Jun 2013 20:51:09 GMT) Full text and rfc822 format available.

Message #265 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613 closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sun, 2 Jun 2013 22:46:41 +0200
[Message part 1 (text/plain, inline)]
On Thu, 30 May 2013 21:21:16 +0000 Debian Bug Tracking System wrote:

[...]
>    * [800a2d9] Compile freecad against libcoin80. (Closes: #617613)
[...]

Hi Anton,
thanks for doing this.

However, is the bug completely fixed?

What about those files included in freecad and licensed under the terms
of the GNU GPL v2 or later? There seem to still be a number of such
files in the package.
If these files are linked with or incorporated into the program, the
Open CASCADE GPL-incompatibility is still an issue.

According to the current debian/copyright file, the GPL-licensed files
are:

Files: m4/*       (I suppose those are m4 macros used only during the
                   configuration step of the build process: if this is
                   the case, they should not pose problems)

Files: src/Mod/Draft/*

Files: src/Mod/Draft/draftlibs/dxf*

Files: src/Mod/Draft/importAirfoilDAT.py

Files: src/Mod/Sketcher/App/sketchflat/*   (these files are GPL-3+)

Files: src/Mod/Part/MakeBottle.py src/Tools/*


Are these files linked with or incorporated into any program that links
with Open CASCADE?
Please clarify.

Thanks for your time.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package ftp.debian.org,freecad. (Tue, 18 Jun 2013 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 18 Jun 2013 19:57:04 GMT) Full text and rfc822 format available.

Message #270 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613 closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Tue, 18 Jun 2013 21:55:00 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 freecad 0.13.1830-dfsg-2


On Sun, 2 Jun 2013 22:46:41 +0200 Francesco Poli wrote:

> On Thu, 30 May 2013 21:21:16 +0000 Debian Bug Tracking System wrote:
> 
> [...]
> >    * [800a2d9] Compile freecad against libcoin80. (Closes: #617613)
> [...]
> 
> Hi Anton,
> thanks for doing this.
> 
> However, is the bug completely fixed?
> 
> What about those files included in freecad and licensed under the terms
> of the GNU GPL v2 or later? There seem to still be a number of such
> files in the package.
> If these files are linked with or incorporated into the program, the
> Open CASCADE GPL-incompatibility is still an issue.
> 
> According to the current debian/copyright file, the GPL-licensed files
> are:
> 
> Files: m4/*       (I suppose those are m4 macros used only during the
>                    configuration step of the build process: if this is
>                    the case, they should not pose problems)
> 
> Files: src/Mod/Draft/*
> 
> Files: src/Mod/Draft/draftlibs/dxf*
> 
> Files: src/Mod/Draft/importAirfoilDAT.py
> 
> Files: src/Mod/Sketcher/App/sketchflat/*   (these files are GPL-3+)
> 
> Files: src/Mod/Part/MakeBottle.py src/Tools/*
> 
> 
> Are these files linked with or incorporated into any program that links
> with Open CASCADE?
> Please clarify.
> 
> Thanks for your time.

Could you please clarify?

Thanks for all the hard work on this package.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'ftp.debian.org,freecad' to 'freecad'. Request was from Francesco Poli <invernomuto@paranoici.org> to 617613-submit@bugs.debian.org. (Tue, 18 Jun 2013 19:57:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions freecad/0.13.1830-dfsg-2. Request was from Francesco Poli <invernomuto@paranoici.org> to 617613-submit@bugs.debian.org. (Tue, 18 Jun 2013 19:57:05 GMT) Full text and rfc822 format available.

Marked as found in versions freecad/0.13.1830-dfsg-2. Request was from Francesco Poli <invernomuto@paranoici.org> to 617613-submit@bugs.debian.org. (Tue, 18 Jun 2013 19:57:06 GMT) Full text and rfc822 format available.

Bug reopened Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Tue, 18 Jun 2013 20:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Tue, 18 Jun 2013 20:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 18 Jun 2013 20:15:09 GMT) Full text and rfc822 format available.

Message #283 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org
Cc: control@bugs.debian.org, 617613-done@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Tue, 18 Jun 2013 22:11:41 +0200
fixed 617613  freecad 0.13.1830-dfsg-2
thanks

Please, do not reopen it, if you are not sure,
Here is the question of outdated copyright file in
debian-directory.

Anton

2013/6/18 Francesco Poli <invernomuto@paranoici.org>:
> Control: reassign -1 freecad 0.13.1830-dfsg-2
>
>
> On Sun, 2 Jun 2013 22:46:41 +0200 Francesco Poli wrote:
>
>> On Thu, 30 May 2013 21:21:16 +0000 Debian Bug Tracking System wrote:
>>
>> [...]
>> >    * [800a2d9] Compile freecad against libcoin80. (Closes: #617613)
>> [...]
>>
>> Hi Anton,
>> thanks for doing this.
>>
>> However, is the bug completely fixed?
>>
>> What about those files included in freecad and licensed under the terms
>> of the GNU GPL v2 or later? There seem to still be a number of such
>> files in the package.
>> If these files are linked with or incorporated into the program, the
>> Open CASCADE GPL-incompatibility is still an issue.
>>
>> According to the current debian/copyright file, the GPL-licensed files
>> are:
>>
>> Files: m4/*       (I suppose those are m4 macros used only during the
>>                    configuration step of the build process: if this is
>>                    the case, they should not pose problems)
>>
>> Files: src/Mod/Draft/*
>>
>> Files: src/Mod/Draft/draftlibs/dxf*
>>
>> Files: src/Mod/Draft/importAirfoilDAT.py
>>
>> Files: src/Mod/Sketcher/App/sketchflat/*   (these files are GPL-3+)
>>
>> Files: src/Mod/Part/MakeBottle.py src/Tools/*
>>
>>
>> Are these files linked with or incorporated into any program that links
>> with Open CASCADE?
>> Please clarify.
>>
>> Thanks for your time.
>
> Could you please clarify?
>
> Thanks for all the hard work on this package.
>
>
> --
>  http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
>  New GnuPG key, see the transition document!
> ..................................................... Francesco Poli .
>  GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
>
> --
> debian-science-maintainers mailing list
> debian-science-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-science-maintainers



Reply sent to Anton Gladky <gladk@debian.org>:
You have taken responsibility. (Tue, 18 Jun 2013 20:15:17 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug acknowledged by developer. (Tue, 18 Jun 2013 20:15:17 GMT) Full text and rfc822 format available.

Marked as found in versions freecad/0.10.3247.dfsg-2 and reopened. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Tue, 18 Jun 2013 20:21:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions freecad/0.13.1830-dfsg-2. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Tue, 18 Jun 2013 20:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Tue, 18 Jun 2013 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 18 Jun 2013 20:45:05 GMT) Full text and rfc822 format available.

Message #297 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Tue, 18 Jun 2013 22:43:59 +0200
[Message part 1 (text/plain, inline)]
On Tue, 18 Jun 2013 22:11:41 +0200 Anton Gladky wrote:

> Please, do not reopen it, if you are not sure,

Well, I reopened the bug report, since it was approaching the archiving
day while I was waiting for a clarification from you, and I was afraid
of forgetting about it...

> Here is the question of outdated copyright file in
> debian-directory.

What do you mean?
Is

http://ftp-master.metadata.debian.org/changelogs//main/f/freecad/freecad_0.13.1830-dfsg-2_copyright

outdated?
It seems to be identical to

http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=blob_plain;f=debian/copyright;hb=cf6cb9f1e8cfce2a147da60421c45dac09a5f65a

If this file is really outdated, then, please update the
debian/copyright file in the package!

In the meanwhile, could you please reply to my questions?
Thanks for your time.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

No longer marked as found in versions freecad/0.13.1830-dfsg-2. Request was from Anton Gladky <gladk@debian.org> to control@bugs.debian.org. (Wed, 19 Jun 2013 05:51:04 GMT) Full text and rfc822 format available.

Reply sent to Anton Gladky <gladk@debian.org>:
You have taken responsibility. (Wed, 19 Jun 2013 05:51:08 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug acknowledged by developer. (Wed, 19 Jun 2013 05:51:08 GMT) Full text and rfc822 format available.

Message #304 received at 617613-done@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 617613-done <617613-done@bugs.debian.org>, control@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Wed, 19 Jun 2013 07:45:58 +0200
notfound 617613 0.13.1830-dfsg-2
thanks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sun, 07 Jul 2013 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 07 Jul 2013 17:09:04 GMT) Full text and rfc822 format available.

Message #309 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sun, 7 Jul 2013 19:06:22 +0200
[Message part 1 (text/plain, inline)]
On Tue, 18 Jun 2013 22:43:59 +0200 Francesco Poli wrote:

> On Tue, 18 Jun 2013 22:11:41 +0200 Anton Gladky wrote:
> 
> > Please, do not reopen it, if you are not sure,
> 
> Well, I reopened the bug report, since it was approaching the archiving
> day while I was waiting for a clarification from you, and I was afraid
> of forgetting about it...
> 
> > Here is the question of outdated copyright file in
> > debian-directory.
> 
> What do you mean?
> Is
> 
> http://ftp-master.metadata.debian.org/changelogs//main/f/freecad/freecad_0.13.1830-dfsg-2_copyright
> 
> outdated?
> It seems to be identical to
> 
> http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=blob_plain;f=debian/copyright;hb=cf6cb9f1e8cfce2a147da60421c45dac09a5f65a
> 
> If this file is really outdated, then, please update the
> debian/copyright file in the package!
> 
> In the meanwhile, could you please reply to my questions?
> Thanks for your time.

Once again, Anton, please clarify the licensing status of the files
mentioned in my previous message: http://bugs.debian.org/617613#265

If the debian/copyright file of the package is outdated, then please
update it, so that people won't be misled again.



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sun, 07 Jul 2013 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 07 Jul 2013 18:18:05 GMT) Full text and rfc822 format available.

Message #314 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sun, 7 Jul 2013 20:14:46 +0200
Hi Francesco,

2013/7/7 Francesco Poli <invernomuto@paranoici.org>:
> Once again, Anton, please clarify the licensing status of the files
> mentioned in my previous message: http://bugs.debian.org/617613#265
>
> If the debian/copyright file of the package is outdated, then please
> update it, so that people won't be misled again.

it will be done in the next upload.

Cheers,

Anton



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Mon, 08 Jul 2013 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 08 Jul 2013 21:48:04 GMT) Full text and rfc822 format available.

Message #319 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Mon, 8 Jul 2013 23:45:12 +0200
[Message part 1 (text/plain, inline)]
On Sun, 7 Jul 2013 20:14:46 +0200 Anton Gladky wrote:

> Hi Francesco,
> 
> 2013/7/7 Francesco Poli <invernomuto@paranoici.org>:
> > Once again, Anton, please clarify the licensing status of the files
> > mentioned in my previous message: http://bugs.debian.org/617613#265
> >
> > If the debian/copyright file of the package is outdated, then please
> > update it, so that people won't be misled again.
> 
> it will be done in the next upload.

That's OK, I hope you may do that soon (at least in the public git
repository)...

Or otherwise, could you please summarize the changes that need to be
applied to the debian/copyright file?

Thanks for your time.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 27 Jul 2013 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 27 Jul 2013 21:03:04 GMT) Full text and rfc822 format available.

Message #324 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sat, 27 Jul 2013 23:00:52 +0200
[Message part 1 (text/plain, inline)]
On Mon, 8 Jul 2013 23:45:12 +0200 Francesco Poli wrote:

> On Sun, 7 Jul 2013 20:14:46 +0200 Anton Gladky wrote:
> 
> > Hi Francesco,
> > 
> > 2013/7/7 Francesco Poli <invernomuto@paranoici.org>:
> > > Once again, Anton, please clarify the licensing status of the files
> > > mentioned in my previous message: http://bugs.debian.org/617613#265
> > >
> > > If the debian/copyright file of the package is outdated, then please
> > > update it, so that people won't be misled again.
> > 
> > it will be done in the next upload.
> 
> That's OK, I hope you may do that soon (at least in the public git
> repository)...
> 
> Or otherwise, could you please summarize the changes that need to be
> applied to the debian/copyright file?
> 
> Thanks for your time.

Anton, I am bit worried by the lack of clarifications from your side.
I fear I will myself forget about the thing, which would be a shame...

In a nutshell, I would like to check that all the aspects of this bug
are really fixed.
The debian/copyright file still mentions a number of GPL-licensed files
that could be troublesome, if linked with the GPL-incompatible Open
CASCADE Technology framework.
You said that the debian/copyright file is outdated, but you haven't
yet updated it (not even on the public git repository) and you haven't
yet disclosed how it should be updated.
When I reopened the bug report, in order to avoid forgetting about it,
you asked me not to do so, but still you haven't provided any
clarification.

Please do not misunderstand me: I believe you are in good faith, when
you say that everything is fine and that it's just the debian/copyright
file which needs to be updated.
Nonetheless, I would like to check by myself, since oversights are
always possible...

Please clarify.

Thanks for your time.
I apologize for being a pain in the neck...


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Mon, 05 Aug 2013 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 05 Aug 2013 08:27:04 GMT) Full text and rfc822 format available.

Message #329 received at 617613@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org
Subject: usertags for problem of linking with OpenCASCADE libraries
Date: Mon, 05 Aug 2013 11:15:19 +0300
Hi,

> I fear I will myself forget about the thing, which would be a shame...

Could you add usertags for all your bug reports related to problem of linking
with OpenCASCADE libraries? It should simplify your work in this direction and
will allow to observe the scale of problem in whole.

These links may be useful for you:
http://www.debian.org/Bugs/server-control
https://wiki.debian.org/bugs.debian.org/usertags

Do not forget that archived bug reports should be unarchived before processing.
And they may be archived backwards just after necessary changes.

Best wishes,
Boris



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Mon, 05 Aug 2013 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 05 Aug 2013 08:57:04 GMT) Full text and rfc822 format available.

Message #334 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Boris Pek <tehnick@debian.org>
Cc: 617613@bugs.debian.org
Subject: Re: usertags for problem of linking with OpenCASCADE libraries
Date: Mon, 5 Aug 2013 10:52:44 +0200
[Message part 1 (text/plain, inline)]
On Mon, 05 Aug 2013 11:15:19 +0300 Boris Pek wrote:

> Hi,

Hi Boris!

> 
> > I fear I will myself forget about the thing, which would be a shame...
> 
> Could you add usertags for all your bug reports related to problem of linking
> with OpenCASCADE libraries?

Yes, I can probably do so, but please take into account that what I
fear I will forget is to specifically check the issues in the
previously mentioned files in package freecad.
Usertags won't help me to remember this, since when I see a closed bug
report, I tend to think that the corresponding bug is fixed: that's why
I wanted to re-open this report, while waiting for a clarification from
Anton...

> It should simplify your work in this direction and
> will allow to observe the scale of problem in whole.

This is true and is in itself a good reason for adding usertags.

Which e-mail address do you suggest as "user"?
Which "usertag" name do you propose?
Something like "opencascade-incomp"?


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Fri, 09 Aug 2013 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 09 Aug 2013 13:39:04 GMT) Full text and rfc822 format available.

Message #339 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Fri, 9 Aug 2013 15:29:04 +0200
[Message part 1 (text/plain, inline)]
On Sat, 27 Jul 2013 23:00:52 +0200 Francesco Poli wrote:

[...]
> In a nutshell, I would like to check that all the aspects of this bug
> are really fixed.
[...]
> You said that the debian/copyright file is outdated
[...]

... and now you updated it: thank you very much!


However, I still see some files included in freecad and licensed under
the terms of the GNU GPL v2 or later.
If these files are linked with or incorporated into the program, the
Open CASCADE GPL-incompatibility is still an issue.

According to the current debian/copyright file
http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=blob;f=debian/copyright;h=81ce65f6a88f3238b1d1cbe24baf36de05fe1608;hb=01b8f377dc5544c280f706b0a82984f8fd8a7ff4
the GPL-licensed files are:

Files: src/Mod/Draft/*

Files: src/Mod/Draft/draftlibs/dxf*

Files: src/Mod/Part/MakeBottle.py
       src/Tools/*


Please clarify whether these files are linked with or incorporated into
any program that links with Open CASCADE.


Moreover, I've just noticed that among the dependencies of freecad
there's

 libsoqt4-20

which is licensed under the GNU GPL v2:
http://ftp-master.metadata.debian.org/changelogs//main/s/soqt/soqt_1.5.0-2.1_copyright


Please clarify whether this library is linked with any program that
links with Open CASCADE.


Thanks for your time.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Fri, 09 Aug 2013 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 09 Aug 2013 17:45:04 GMT) Full text and rfc822 format available.

Message #344 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Fri, 9 Aug 2013 19:41:34 +0200
2013/8/9 Francesco Poli <invernomuto@paranoici.org>:
> the GPL-licensed files are:
>
> Files: src/Mod/Draft/*
>
> Files: src/Mod/Draft/draftlibs/dxf*
>
> Files: src/Mod/Part/MakeBottle.py
>        src/Tools/*
>
> Please clarify whether these files are linked with or incorporated into
> any program that links with Open CASCADE.

Most of them are LGPL. As I understand, they are independent python-scripts
for different stuffs. Anyway OCE has no python-interface at all.

> Moreover, I've just noticed that among the dependencies of freecad
> there's
>
>  libsoqt4-20
>
> which is licensed under the GNU GPL v2:
> http://ftp-master.metadata.debian.org/changelogs//main/s/soqt/soqt_1.5.0-

From their website:

http://doc.coin3d.org/SoQt/

"SoQt is a library which provides the glue between Systems in Motion's
Coin high-level 3D visualization library and Troll Tech's Qt 2D user
interface library."

It is used for QT-Coin cooperation.

Cheers,

Anton



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 10 Aug 2013 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 10 Aug 2013 08:57:05 GMT) Full text and rfc822 format available.

Message #349 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sat, 10 Aug 2013 10:52:58 +0200
[Message part 1 (text/plain, inline)]
On Fri, 9 Aug 2013 19:41:34 +0200 Anton Gladky wrote:

> 2013/8/9 Francesco Poli <invernomuto@paranoici.org>:
> > the GPL-licensed files are:
> >
> > Files: src/Mod/Draft/*
> >
> > Files: src/Mod/Draft/draftlibs/dxf*
> >
> > Files: src/Mod/Part/MakeBottle.py
> >        src/Tools/*
> >
> > Please clarify whether these files are linked with or incorporated into
> > any program that links with Open CASCADE.
> 
> Most of them are LGPL.

Sorry, but I cannot understand what you mean here.

The above-mentioned files are claimed to be "License: GPL-2+" in the
current debian/copyright file:
http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=blob;f=debian/copyright;h=81ce65f6a88f3238b1d1cbe24baf36de05fe1608;hb=01b8f377dc5544c280f706b0a82984f8fd8a7ff4

As a consequence, either the debian/copyright file is still wrong
(please update it again, if this is the case), or those files are
GPL-licensed (and *not* LGPL-licensed).

Which is the case?
Please clarify.

> As I understand, they are independent python-scripts
> for different stuffs.

Could you please elaborate?
Are these GPL-licensed files just Python scripts that are run by the
user, outside of FreeCAD?
Or does FreeCAD fork and exec those scripts (with the help a Python
interpreter)?
Or does FreeCAD dynamically link those scripts as plug-ins?

Please see:
https://www.gnu.org/licenses/gpl-faq.html#NFUseGPLPlugins
https://www.gnu.org/licenses/gpl-faq.html#GPLPluginsInNF

Depending on how these files are intended to be used with FreeCAD, they
could or could not constitute an issue, due to the OpenCASCADE
GPL-incompatibility.

> Anyway OCE has no python-interface at all.

But FreeCAD has a Python interface, doesn't it?
And FreeCAD links with OCE...

> 
> > Moreover, I've just noticed that among the dependencies of freecad
> > there's
> >
> >  libsoqt4-20
> >
> > which is licensed under the GNU GPL v2:
> > http://ftp-master.metadata.debian.org/changelogs//main/s/soqt/soqt_1.5.0-
> 
> From their website:
> 
> http://doc.coin3d.org/SoQt/
> 
> "SoQt is a library which provides the glue between Systems in Motion's
> Coin high-level 3D visualization library and Troll Tech's Qt 2D user
> interface library."
> 
> It is used for QT-Coin cooperation.

Yes, but it is still licensed under the GPL GPL v2.
FreeCAD links with it *and* with OpenCASCADE Technology, which is
GPL-incompatible.

So it seems that we still have an issue similar to the one with Coin3D
(which used to be GPL-licensed, but was later re-licensed under the
3-clause BSD, thus solving the issue).

If SoQt is not re-licensed similarly to how Coin3D was, I think
that the issue with freecad is not yet fixed.


Anton, please clarify.

Thanks a lot for your time and for all the effort you're putting into
freecad package maintenance.



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 10 Aug 2013 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 10 Aug 2013 12:18:04 GMT) Full text and rfc822 format available.

Message #354 received at 617613@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org, Anton Gladky <gladk@debian.org>
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sat, 10 Aug 2013 13:48:48 +0200
On 10/08/2013 10:52, Francesco Poli wrote:
> Thanks a lot for your time and for all the effort you're putting into
> freecad package maintenance.
Mainly patience I would say ;)

Sylvestre




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 10 Aug 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 10 Aug 2013 14:21:04 GMT) Full text and rfc822 format available.

Message #359 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>, 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sat, 10 Aug 2013 16:16:56 +0200
2013/8/10 Francesco Poli <invernomuto@paranoici.org>:
> On Fri, 9 Aug 2013 19:41:34 +0200 Anton Gladky wrote:
>
>> 2013/8/9 Francesco Poli <invernomuto@paranoici.org>:
>> > the GPL-licensed files are:
>> >
>> > Files: src/Mod/Draft/*
>> >
>> > Files: src/Mod/Draft/draftlibs/dxf*
>> >
>> > Files: src/Mod/Part/MakeBottle.py
>> >        src/Tools/*
>> >
>> > Please clarify whether these files are linked with or incorporated into
>> > any program that links with Open CASCADE.
>>
>> Most of them are LGPL.
>
> Sorry, but I cannot understand what you mean here.
>
> The above-mentioned files are claimed to be "License: GPL-2+" in the
> current debian/copyright file:
> http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=blob;f=debian/copyright;h=81ce65f6a88f3238b1d1cbe24baf36de05fe1608;hb=01b8f377dc5544c280f706b0a82984f8fd8a7ff4
>
> As a consequence, either the debian/copyright file is still wrong
> (please update it again, if this is the case), or those files are
> GPL-licensed (and *not* LGPL-licensed).
>
> Which is the case?
> Please clarify.

http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=tree;f=src/Mod/Draft;h=b23b5834e8f186e6bc13547e3ff606cd226fad40;hb=01b8f377dc5544c280f706b0a82984f8fd8a7ff4

Please, check all files and provide a patch.

>> As I understand, they are independent python-scripts
>> for different stuffs.
>
> Could you please elaborate?
> Are these GPL-licensed files just Python scripts that are run by the
> user, outside of FreeCAD?
> Or does FreeCAD fork and exec those scripts (with the help a Python
> interpreter)?
> Or does FreeCAD dynamically link those scripts as plug-ins?

No idea, Please, ask upstream, if you want.

I have a very low motivation to maintain freecad, as I do not use
it at all.

>> "SoQt is a library which provides the glue between Systems in Motion's
>> Coin high-level 3D visualization library and Troll Tech's Qt 2D user
>> interface library."
>>
>> It is used for QT-Coin cooperation.
>
> Yes, but it is still licensed under the GPL GPL v2.
> FreeCAD links with it *and* with OpenCASCADE Technology, which is
> GPL-incompatible.
>
> So it seems that we still have an issue similar to the one with Coin3D
> (which used to be GPL-licensed, but was later re-licensed under the
> 3-clause BSD, thus solving the issue).
>
> If SoQt is not re-licensed similarly to how Coin3D was, I think
> that the issue with freecad is not yet fixed.

As I understand, there is an issue, if soqt uses symbols from
OCE. Maybe I am wrong.

Cheers,

Anton

PS I will unlikely contribute into this package any more. Sorry.
Do not CC me, please. Bye.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 10 Aug 2013 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yorik van Havre <yorik.vanhavre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 10 Aug 2013 15:09:04 GMT) Full text and rfc822 format available.

Message #364 received at 617613@bugs.debian.org (full text, mbox):

From: Yorik van Havre <yorik.vanhavre@gmail.com>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Sat, 10 Aug 2013 12:07:10 -0300
[Message part 1 (text/plain, inline)]
Hi guys,

we recently passed through a process of removing all the remaining bits of
GPL code from FreeCAD.
All the scripts stated above (Draft, draftlibs, makeBottle, etc) have
either been converted to LGPL or
removed from the source. Next time you pull the code from us the warnings
above should al be gone.
 If something is still GPL, it is an error from our part, just notify us
and we'll fix it.

About SoQt, it is part of the coin3D library, which switched last year from
GPL to BSD. I noticed
that the latest package of coin (libcoin80) already shows the BSD license.
Maybe libsoqt4-20 needs
to be updated too to reflect the new license. I guess that would solve all
the remaining issues...

We're doing all we can to keep FreeCAD in debian, but it sometimes really
seems like an impossible task...
Thanks a lot Anton for the dedication you've put into this so far, nobody
can blame you if you
decide you've had enough.

Cheers to all,
Yorik
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Mon, 12 Aug 2013 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 12 Aug 2013 12:48:04 GMT) Full text and rfc822 format available.

Message #369 received at 617613@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: Yorik van Havre <yorik.vanhavre@gmail.com>, 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Mon, 12 Aug 2013 15:43:58 +0300
Hi Yorik,

> we recently passed through a process of removing all the remaining bits of GPL code from FreeCAD.
> All the scripts stated above (Draft, draftlibs, makeBottle, etc) have either been converted to LGPL or
> removed from the source. Next time you pull the code from us the warnings above should al be gone.
> If something is still GPL, it is an error from our part, just notify us and we'll fix it.

Thanks a lot for clarification. I hope that package will be updated soon.

> About SoQt, it is part of the coin3D library, which switched last year from GPL to BSD. I noticed
> that the latest package of coin (libcoin80) already shows the BSD license. Maybe libsoqt4-20 needs
> to be updated too to reflect the new license. I guess that would solve all the remaining issues...

Yes, it should be checked.

> We're doing all we can to keep FreeCAD in debian, but it sometimes really seems like an impossible task...

Hmm, what about Fedora? They have strict license policy as well.

Moreover, please have in mind that this is not Debian specific problem. Even
your builds for MS Windows and Mac OS X were (are) illegal for distribution.
But who cares there?..

Best regards,
Boris



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Mon, 12 Aug 2013 13:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yorik van Havre <yorik.vanhavre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 12 Aug 2013 13:45:13 GMT) Full text and rfc822 format available.

Message #374 received at 617613@bugs.debian.org (full text, mbox):

From: Yorik van Havre <yorik.vanhavre@gmail.com>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Mon, 12 Aug 2013 10:42:20 -0300
[Message part 1 (text/plain, inline)]
Hi Boris,

Hmm, what about Fedora? They have strict license policy as well.
>

Indeed, but AFAIK nobody raised issues there (yet)...


> Moreover, please have in mind that this is not Debian specific problem.
> Even
> your builds for MS Windows and Mac OS X were (are) illegal for
> distribution.
> But who cares there?..
>

As far as I could understand, everything comes from how you interpret the
custom license of OpenCasCade, and opinions about that subject vary...
As they have changed inside debian itself over time.

I just wanted you guys to be aware that it is a matter we are also aware of
on the FreeCAD side, and that we're doing everything we can to make things
work. The opencascade kernel gives us a lot of headache because of that
custom license of them, but using opencascade is unavoidable for us.

Cheers
Yorik
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Fri, 16 Aug 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Aug 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #379 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Fri, 16 Aug 2013 10:08:00 +0200
[Message part 1 (text/plain, inline)]
On Sat, 10 Aug 2013 13:48:48 +0200 Sylvestre Ledru wrote:

> On 10/08/2013 10:52, Francesco Poli wrote:
> > Thanks a lot for your time and for all the effort you're putting into
> > freecad package maintenance.
> Mainly patience I would say ;)

Yep, I am aware I am a pain in the neck...  :-(
Sorry about that, but I really want this issue to be fixed as properly
as possible.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Fri, 16 Aug 2013 08:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 16 Aug 2013 08:18:09 GMT) Full text and rfc822 format available.

Message #384 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Subject: Re: Bug#617613: closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.1830-dfsg-2)
Date: Fri, 16 Aug 2013 10:16:05 +0200
[Message part 1 (text/plain, inline)]
On Sat, 10 Aug 2013 16:16:56 +0200 Anton Gladky wrote:

> 2013/8/10 Francesco Poli <invernomuto@paranoici.org>:
[...]
> http://anonscm.debian.org/gitweb/?p=debian-science/packages/freecad.git;a=tree;f=src/Mod/Draft;h=b23b5834e8f186e6bc13547e3ff606cd226fad40;hb=01b8f377dc5544c280f706b0a82984f8fd8a7ff4
> 
> Please, check all files and provide a patch.

OK, I'll see what I can do.

[...]
> > Are these GPL-licensed files just Python scripts that are run by the
> > user, outside of FreeCAD?
> > Or does FreeCAD fork and exec those scripts (with the help a Python
> > interpreter)?
> > Or does FreeCAD dynamically link those scripts as plug-ins?
> 
> No idea, Please, ask upstream, if you want.

Possibly, after checking the status of those files...

> 
> I have a very low motivation to maintain freecad, as I do not use
> it at all.

I see, that's unfortunate.

[...]
> > If SoQt is not re-licensed similarly to how Coin3D was, I think
> > that the issue with freecad is not yet fixed.
> 
> As I understand, there is an issue, if soqt uses symbols from
> OCE. Maybe I am wrong.

As far as I know, there's a problem as long as two incompatibly
licensed works are linked together, even indirectly.
So, if FreeCAD links with both OCE and SoQt, there's an issue, even if
SoQt does not directly use symbols from OCE.

> 
> PS I will unlikely contribute into this package any more. Sorry.
[...]

Well, that's sad, but it's of course up to you to decide.
Thank you so much for everything you have done so far for this package.
It's really appreciated, indeed.

Bye.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 31 Aug 2013 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 31 Aug 2013 16:12:04 GMT) Full text and rfc822 format available.

Message #389 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Yorik van Havre <yorik.vanhavre@gmail.com>
Cc: 617613@bugs.debian.org
Subject: freecad: Remaining licensing issues
Date: Sat, 31 Aug 2013 18:08:10 +0200
[Message part 1 (text/plain, inline)]
Control: notfixed -1 freecad/0.13.1830-dfsg-2
Control: found -1 freecad/0.13.1830-dfsg-3


On Sat, 10 Aug 2013 12:07:10 -0300 Yorik van Havre wrote:

> Hi guys,

Hello Yorik, thanks a lot for following up.

[I had not noticed your message immediately, since I was not in Cc.
 I only looked at the bug log on the BTS later...  Please Cc me on
 replies, thanks!]

> 
> we recently passed through a process of removing all the remaining bits of
> GPL code from FreeCAD.
> All the scripts stated above (Draft, draftlibs, makeBottle, etc) have
> either been converted to LGPL or
> removed from the source. Next time you pull the code from us the warnings
> above should al be gone.

This is really appreciated, thanks a lot for performing a thorough code
audit!

>  If something is still GPL, it is an error from our part, just notify us
> and we'll fix it.

Great! Thank you very much for your helpfulness!

> 
> About SoQt, it is part of the coin3D library, which switched last year from
> GPL to BSD. I noticed
> that the latest package of coin (libcoin80) already shows the BSD license.
> Maybe libsoqt4-20 needs
> to be updated too to reflect the new license. I guess that would solve all
> the remaining issues...

Yes, I agree, assuming that the Coin3D re-licensing also covers SoQT
(actually, I still see GPL headers on
http://doc.coin3d.org/SoQt/files.html , hence it's probably worth
asking for a clarification from the SoQT upstream copyright holders).

> 
> We're doing all we can to keep FreeCAD in debian,

Sure, and many people (including me) are really thankful for this!

Cheers!



Note (mainly to myself): the remaining issues to be solved are

 • SoQT (and the corresponding Debian source package soqt) is still
   GPL-licensed, despite the Coin3D re-licensing to BSD

 • any remaining GPL-licensed files included in FreeCAD (and the
   corresponding Debian package freecad) need to be removed or
   re-licensed to LGPL

 • the debian/copyright file of freecad needs to be updated (again)


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

No longer marked as fixed in versions freecad/0.13.1830-dfsg-2. Request was from Francesco Poli <invernomuto@paranoici.org> to 617613-submit@bugs.debian.org. (Sat, 31 Aug 2013 16:12:04 GMT) Full text and rfc822 format available.

Marked as found in versions freecad/0.13.1830-dfsg-3 and reopened. Request was from Francesco Poli <invernomuto@paranoici.org> to 617613-submit@bugs.debian.org. (Sat, 31 Aug 2013 16:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Thu, 12 Sep 2013 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 12 Sep 2013 22:54:04 GMT) Full text and rfc822 format available.

Message #398 received at 617613@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: 617613@bugs.debian.org, Francesco Poli <invernomuto@paranoici.org>, Yorik van Havre <yorik.vanhavre@gmail.com>
Subject: freecad: Remaining licensing issues
Date: Fri, 13 Sep 2013 00:51:28 +0200
[Message part 1 (text/plain, inline)]
Hi All,

Note that SoQt is now licensed with a 3-clause BSD license, see:
https://bitbucket.org/Coin3D/soqt/overview

If the latest FreeCAD is really GPL-free, then uploads of SoQt mercurial
head and FreeCAD should be enough to fix this bug.

Unfortunately, it seems that neither of these packages has an active
maintainer.

Best,
Teemu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Fri, 13 Sep 2013 17:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 13 Sep 2013 17:24:14 GMT) Full text and rfc822 format available.

Message #403 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 617613@bugs.debian.org, Yorik van Havre <yorik.vanhavre@gmail.com>
Subject: Re: freecad: Remaining licensing issues
Date: Fri, 13 Sep 2013 19:20:47 +0200
[Message part 1 (text/plain, inline)]
On Fri, 13 Sep 2013 00:51:28 +0200 Teemu Ikonen wrote:

> Hi All,

Hello Teemu,
thanks for following up on this bug!

> 
> Note that SoQt is now licensed with a 3-clause BSD license, see:
> https://bitbucket.org/Coin3D/soqt/overview

Good, this solves one of the remaining issues.

> 
> If the latest FreeCAD is really GPL-free, then uploads of SoQt mercurial
> head and FreeCAD should be enough to fix this bug.

I agree.

> 
> Unfortunately, it seems that neither of these packages has an active
> maintainer.

That's really unfortunate, I hope that someone from debian-science (or
from elsewhere) is willing to adopt them...

Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Tue, 17 Sep 2013 20:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 17 Sep 2013 20:12:09 GMT) Full text and rfc822 format available.

Message #408 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 617613@bugs.debian.org,control@bugs.debian.org,617613-submitter@bugs.debian.org
Subject: [077e969] Fix for Bug#617613 committed to git
Date: Tue, 17 Sep 2013 20:09:11 +0000
tags 617613 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Anton Gladky <gladky.anton@gmail.com> on Tue, 17 Sep 2013 22:07:31 +0200.
 The fix will be in the next upload. 
====================================
Build against BSD-version of soqt. (Closes: #617613)


====================================

You can check the diff of the fix at:

    ;a=commitdiff;h=077e969





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Tue, 17 Sep 2013 20:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 17 Sep 2013 20:12:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Tue, 17 Sep 2013 20:12:19 GMT) Full text and rfc822 format available.

Message sent on to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug#617613. (Tue, 17 Sep 2013 20:12:25 GMT) Full text and rfc822 format available.

Message sent on to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug#617613. (Tue, 17 Sep 2013 20:12:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Wed, 18 Sep 2013 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 18 Sep 2013 20:24:05 GMT) Full text and rfc822 format available.

Message #426 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Anton Gladky <gladky.anton@gmail.com>, 617613@bugs.debian.org
Cc: Yorik van Havre <yorik.vanhavre@gmail.com>
Subject: Re: Bug#617613: [077e969] Fix for Bug#617613 committed to git
Date: Wed, 18 Sep 2013 22:19:09 +0200
[Message part 1 (text/plain, inline)]
On Tue, 17 Sep 2013 20:09:28 +0000 Anton Gladky wrote:

> 
> tags 617613 + pending
> thanks
> 
> Hello,
> 
>      The following change has been committed for this bug by
>  Anton Gladky <gladky.anton@gmail.com> on Tue, 17 Sep 2013 22:07:31 +0200.
>  The fix will be in the next upload. 
> ====================================
> Build against BSD-version of soqt. (Closes: #617613)
[...]

Hello Anton,
please let me say that I really appreciate your further efforts on this
package to fix this bug!

It seems that the issue with SoQT is fixed with the above-mentioned
commit. Hurray!   :-)

However, there were two other issues, as summarized at the end of
message #389:
http://bugs.debian.org/617613#389

I've just checked the current tip of the master branch of the Debian
package git repository (which incorporates upstream version
0.13.2519-dfsg, I see) and I found the following GPL-licensed files:


Files: src/Mod/Assembly/InitGui.py
 src/Mod/Cam/InitGui.py
 src/Mod/Complete/InitGui.py
 src/Mod/Idf/Init.py
 src/Mod/Import/InitGui.py
 src/Mod/JtReader/InitGui.py
 src/Mod/MeshPart/InitGui.py
 src/Mod/Part/InitGui.py
 src/Mod/PartDesign/InitGui.py
 src/Mod/Raytracing/InitGui.py
 src/Mod/ReverseEngineering/InitGui.py
 src/Mod/Sketcher/InitGui.py
 src/Mod/Start/InitGui.py
 src/Mod/Test/InitGui.py
 src/Mod/Web/InitGui.py
 src/Tools/fcbt/NextBuildNumber.py
Copyright: 2002, Juergen Riegel
  2003, Juergen Riegel
  Juergen Riegel (juergen.riegel@web.de) 2002, *
License: GPL-2+

Files: src/Mod/Arch/ifcReader.py
 src/Mod/OpenSCAD/exportCSG.py
 src/Mod/OpenSCAD/importCSG.py
 src/Mod/OpenSCAD/tokrules.py
Copyright: 2011, *
  2012, Keith Sloan <keith@sloan-home.co.uk> *
License: GPL-2+

Files: src/Mod/Image/InitGui.py
 src/Mod/Points/InitGui.py
 src/Mod/Sandbox/InitGui.py
 src/Tools/_TEMPLATE_/InitGui.py
Copyright: 2003, Juergen Riegel
  Juergen Riegel (juergen.riegel@web.de) 2002,
License: GPL-2+

Files: src/App/FreeCADInit.py
 src/App/FreeCADTest.py
 src/Gui/FreeCADGuiInit.py
Copyright: 2001, Jürgen Riegel
  2002, Jürgen Riegel
  2003, Jürgen Riegel
  Jürgen Riegel (juergen.riegel@web.de) 2002, *
License: GPL-2+

Files: src/Mod/Drawing/InitGui.py
 src/Mod/Inspection/InitGui.py
Copyright: 2003, Juergen Riegel
  Juergen Riegel (juergen.riegel@web.de) 2002
License: GPL-2+

Files: src/Mod/Fem/InitGui.py
 src/Mod/Robot/InitGui.py
Copyright: 2009, Juergen Riegel
  Juergen Riegel (juergen.riegel@web.de) 2009, *
License: GPL-2+

Files: src/Tools/fcbt/CreateModule.py
Copyright: 2003, Werner Mayer
  Werner Mayer (werner.wm.mayer@gmx.de) 2003, *
License: GPL-2+

Files: src/Mod/Mesh/InitGui.py
Copyright: 2004, Werner Mayer
  Werner Mayer <werner.wm.mayer@gmx.de> 2004, *
License: GPL-2+


I am Cc-ing Yorik, who asked to be notified in case something is still
GPL-licensed.

Yorik, are the above-mentioned Python files dynamically linked with
FreeCAD as plug-ins?
Or does FreeCAD fork and exec those scripts (with the help a Python
interpreter)?
Please let me know, thanks.


Anton, please do not close the bug report, until the status of these
files is clarified.

Also, please don't forget to update the debian/copyright file...



Thanks a lot to you both (Anton and Yorik) for your helpfulness and
patience!



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Thu, 19 Sep 2013 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yorik van Havre <yorik.vanhavre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Sep 2013 14:45:04 GMT) Full text and rfc822 format available.

Message #431 received at 617613@bugs.debian.org (full text, mbox):

From: Yorik van Havre <yorik.vanhavre@gmail.com>
To: 617613@bugs.debian.org, "Francesco Poli \\(wintermute\\)" <invernomuto@paranoici.org>
Subject: =Re: Bug#617613: [077e969] Fix for Bug#617613 committed to git
Date: Thu, 19 Sep 2013 11:43:12 -0300
[Message part 1 (text/plain, inline)]
Hi Francesco,
Hm seems we always forget something... Most of these files are "launchers"
for freecad
modules, they should of course be LGPL too. But I think we can relicense
them all without
problems, they are all ours. We'll fix that ASAP!
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Thu, 19 Sep 2013 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Sep 2013 14:57:04 GMT) Full text and rfc822 format available.

Message #436 received at 617613@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Yorik van Havre <yorik.vanhavre@gmail.com>, 617613@bugs.debian.org
Cc: "Francesco Poli \\(wintermute\\)" <invernomuto@paranoici.org>
Subject: Re: Bug#617613: =Re: Bug#617613: [077e969] Fix for Bug#617613 committed to git
Date: Thu, 19 Sep 2013 16:51:40 +0200
FYI, BSD-lciensed version of soqt is already in sid. So updated FreeCAD
should be uploaded and rebuilt against soqt_1.6.0~e8310f-1.

Cheers,

Anton

2013/9/19 Yorik van Havre <yorik.vanhavre@gmail.com>:
> Hi Francesco,
> Hm seems we always forget something... Most of these files are "launchers"
> for freecad
> modules, they should of course be LGPL too. But I think we can relicense
> them all without
> problems, they are all ours. We'll fix that ASAP!



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Thu, 19 Sep 2013 19:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Sep 2013 19:51:10 GMT) Full text and rfc822 format available.

Message #441 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Yorik van Havre <yorik.vanhavre@gmail.com>
Cc: 617613@bugs.debian.org
Subject: Re: =Re: Bug#617613: [077e969] Fix for Bug#617613 committed to git
Date: Thu, 19 Sep 2013 21:48:41 +0200
[Message part 1 (text/plain, inline)]
On Thu, 19 Sep 2013 11:43:12 -0300 Yorik van Havre wrote:

> Hi Francesco,

Hi Yorik, many thanks for your prompt reply!

> Hm seems we always forget something... Most of these files are "launchers"
> for freecad
> modules, they should of course be LGPL too. But I think we can relicense
> them all without
> problems, they are all ours. We'll fix that ASAP!

Really great!
This is indeed appreciated, believe me.

Bye and thanks for your time.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Anton Gladky <gladk@debian.org>:
You have taken responsibility. (Fri, 27 Sep 2013 19:51:08 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(wintermute\)" <invernomuto@paranoici.org>:
Bug acknowledged by developer. (Fri, 27 Sep 2013 19:51:08 GMT) Full text and rfc822 format available.

Message #446 received at 617613-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 617613-close@bugs.debian.org
Subject: Bug#617613: fixed in freecad 0.13.2580-dfsg-1
Date: Fri, 27 Sep 2013 19:48:46 +0000
Source: freecad
Source-Version: 0.13.2580-dfsg-1

We believe that the bug you reported is fixed in the latest version of
freecad, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617613@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladk@debian.org> (supplier of updated freecad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Sep 2013 19:56:46 +0200
Source: freecad
Binary: freecad freecad-dev freecad-doc
Architecture: source amd64 all
Version: 0.13.2580-dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Anton Gladky <gladk@debian.org>
Description: 
 freecad    - Extensible Open Source CAx program (alpha)
 freecad-dev - FreeCAD development files
 freecad-doc - FreeCAD documentation
Closes: 617613
Changes: 
 freecad (0.13.2580-dfsg-1) unstable; urgency=low
 .
   [ Anton Gladky ]
   * [1190215] Update get_git_orig_src.sh.
   * [077e969] Build against BSD-version of soqt. (Closes: #617613)
   * [37d60d0] Update patches, remove some of them.
   * [b4801bc] Simplify debian/rules.
   * [40ddd86] Imported Upstream version 0.13.2580-dfsg
   * [61e7426] Minor fix in installation files.
   * [fcaeb91] Fix syntax error in importOCA.py.
   * [429db74] Ignore quilt dir
   * [ffccc7d] Unapply patches after build
 .
   [ Sebastian Hoogen ]
   * [aa8ab82] Use packaged version of python-ply.
Checksums-Sha1: 
 0cd87be69ee6a0c449efc5e72a20f0216aaaf4dd 2881 freecad_0.13.2580-dfsg-1.dsc
 dab78508c1cf92be74266297aecf845ccdf178a7 59511324 freecad_0.13.2580-dfsg.orig.tar.xz
 26713111a1ddd14e48ce1ea70bab577ce17fbf94 25497 freecad_0.13.2580-dfsg-1.debian.tar.gz
 15e47cbf3a53e48f13cb42b6c669d9c8d7920322 15204922 freecad_0.13.2580-dfsg-1_amd64.deb
 64365c3d3baa8e3894ed31c2177b0fccfd13e217 25308 freecad-dev_0.13.2580-dfsg-1_amd64.deb
 91137246e374352ea4f864488fd722f61e3f63a4 46130662 freecad-doc_0.13.2580-dfsg-1_all.deb
Checksums-Sha256: 
 4284462b74d171c618bb34bb48fd1c6af6dcb5ea6acf41c61808b29c809dffce 2881 freecad_0.13.2580-dfsg-1.dsc
 3993243806cb5648d35748a73b3a8efdbb2f327245b611467f2cc426c2b701c5 59511324 freecad_0.13.2580-dfsg.orig.tar.xz
 702c148c843c7acb4579668befa6203c8136f87648ce512830a0d476e6e837c0 25497 freecad_0.13.2580-dfsg-1.debian.tar.gz
 7425f2c9b44417dd2900e330875b070c6213c84d44527280eb0b24fb96e5ba26 15204922 freecad_0.13.2580-dfsg-1_amd64.deb
 2da66c8fe4cd14d6578fc3016e7c7edc8997fdb36f268f540a6b288dd761eb92 25308 freecad-dev_0.13.2580-dfsg-1_amd64.deb
 185adddeb1095e59758f5abb304c44b8532b8d76e713116713e38fc32b073642 46130662 freecad-doc_0.13.2580-dfsg-1_all.deb
Files: 
 15ca09e5ab9f3f55819382dcd6e45e95 2881 science extra freecad_0.13.2580-dfsg-1.dsc
 fc66ffbfa87af338f3201f2056a2350a 59511324 science extra freecad_0.13.2580-dfsg.orig.tar.xz
 429b7ddb2f2d1b124830a7e6a5d0d258 25497 science extra freecad_0.13.2580-dfsg-1.debian.tar.gz
 fc01e689832d56b67f67bbdfafb97b86 15204922 science extra freecad_0.13.2580-dfsg-1_amd64.deb
 c914daf5dc3d8fc3bfead7498426522d 25308 libdevel extra freecad-dev_0.13.2580-dfsg-1_amd64.deb
 351a6a5157bd166559e98f51bd195bb1 46130662 doc extra freecad-doc_0.13.2580-dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSRd/0AAoJENPhc4PPp/8Gu2oP/A1lRshk+4stf8kn59C5GsgK
Nc21T8QT4m9Qj8sH7YvB7GXI2aoV06X/5LCgQcIz4UCmLZgJmLtDXxdcNov0eU8W
Drapx/mZ0Lz/H0pKXCdM6aCTHePRcw2o+GS1cROjYLAUznAEolh3T0Sok9Om8RAn
xubtDj+4jPPFuKdkz/np9nigzcjtR//w8i5CVMASh9kqO8bTxQy/7zdHcXKMKU8l
B5KEL5R3W6DOX7A36I15fW9Wcfz9JGHJPvNZAxaiBKCarvoDG4iGUfkk5uyHwub3
t09xEO/pCetRsLRLVY9qTEZpCbFGUD2lklf2Q4SgLd0qE419oHv0s+EJOar+tPFN
fyz204yRnltDbgK8Xz1z6mhmnTK7QnJjzDPZutPKPfNW5pmPCfjt/ajaYudO3Gts
Mb/RlhC5vVx/1fmYEfSZUoQpIkQeZdAOGid95Plw2ZvzFSsL0gSS4lYG29pgHJ/w
cbFfKmTHzPfDvz4ucFKULMDs31MUEYTmYwhHQiM8pS9LD4FVEkD1dH7QfOgnTCRa
GqY57pAg0psPwpaCC0GB/d8BBaf/JWrC1Z4mONdzJxhQJmmPqNbOBBH6Z2+onISU
rNfsn/awJtZxyiPYq6EvnvCU6XiIf9U8WzftMYy/PYYb/F97IPY7StAovmJP/ZCA
Viu3khfLGZPohGUjjyUL
=vY+r
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#617613; Package freecad. (Sat, 28 Sep 2013 10:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 28 Sep 2013 10:54:05 GMT) Full text and rfc822 format available.

Message #451 received at 617613@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 617613@bugs.debian.org
Cc: Anton Gladky <gladky.anton@gmail.com>, Yorik van Havre <yorik.vanhavre@gmail.com>, Juergen Riegel <FreeCAD@juergen-riegel.net>, Werner Mayer <werner.wm.mayer@gmx.de>
Subject: Re: Bug#617613 closed by Anton Gladky <gladk@debian.org> (Bug#617613: fixed in freecad 0.13.2580-dfsg-1)
Date: Sat, 28 Sep 2013 12:49:06 +0200
[Message part 1 (text/plain, inline)]
On Fri, 27 Sep 2013 19:51:08 +0000 Debian Bug Tracking System wrote:

[...]
>    * [077e969] Build against BSD-version of soqt. (Closes: #617613)
[...]
>    * [40ddd86] Imported Upstream version 0.13.2580-dfsg
[...]

I see that the GPL-licensed files have been properly dealt with
(re-licensed under the LGPL and/or removed).
I would like to thank everybody who was involved in fixing this bug
( http://bugs.debian.org/617613 ):
particularly Anton for his efforts in the packaging (and for his
patience!) and the upstream developers (Jürgen, Werner, Yorik, and
others) for their helpfulness. 

Thanks a lot to you all!

Bye.


P.S.: Anton, please don't forget to update the debian/copyright file...


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Oct 2013 07:27:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:53:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.